GoldWave

GoldWave is a sound editor, player, recorder, analyzer, and converter. Use it to create sound files for music CDs, dance programs, websites, answering machines, Windows sounds, and much more. It includes a complete set of effects and editing features for professional sound production. Create high quality audio CDs by using GoldWave with separate CD Recorder software.

Before using GoldWave, make sure sound drivers have been installed and configured with the Windows Device Manager.

Introduction
Main Window, Control Window, and Sound Windows
Editing Overview
Hard Drive Storage Versus RAM Storage
Company

Getting Started
Playing Sounds
Recording Sounds
Selecting Part of a Sound
Accessibility

Commands
File Menu Commands
Edit Menu Commands
Effect Menu Commands
View Menu Commands
Tool Menu Commands
Options Menu Commands
Window Menu Commands

Keyboard Commands

How To...
Convert files from one format or type to another
Directly edit the waveform with the mouse
Play a sound
Record a sound
Select part of a sound
Set reference/cue points
Select a device for playback or recording
Create a tremolo effect


GoldWave Windows

GoldWave initially displays three types of windows: the Main window, the Control window, and Sound windows. The Main window contains a menu bar, tool bars, and information/status bars. This window keeps all the Sound windows together. It is similar to the main window of a word processor, where you can have several document windows open at once. GoldWave can open several sounds at once to copy and paste between them. The Options | Tool Bar command configures and arrange tool bar buttons. Right-clicking on some items in the upper status bar changes the format of the data shown.

The Control window contains real-time visuals and sound device controls. The visuals display the sound during playback or recorded. The controls determine the volume, left/right balance, and speed at which sounds are played. A set of standard cassette deck buttons for playing and recording sounds are contained in this window. Use the properties [image] button to configure the controls, visuals, and devices.

Opening a sound file creates a Sound window. You can open as many sounds as you like, provided there is enough memory and storage space, but only one file can be edited or played at a time. Sound windows display a graph of the sound. Mono sounds are shown with a single green graph. Stereo sounds are shown using a green graph for the left channel and a red graph for the right channel. The highlighted part of the graph between two vertical cyan lines is the selection. The cyan lines are the start and finish markers. A white vertical line showing the current playback position is the playback cursor.

Between the graph and time line is the Cue Points slot, which displays any cue points stored in the file. Right click on the slot to see a cue points menu for adding, removing, or editing cue points.

Below the graph's time line is the Overview Bar. It always shows the entire file and provides useful information about what part of the sound is currently selected and what part of the sound is displayed in the upper graph.

To zoom in on a section of a sound, use the View Menu Commands or select a region by clicking-and-dragging with the right mouse button or use the mouse wheel. The Options | Colour and the Options | Window commands configure the appearance of these windows.

See Also
File Menu Commands
View Menu Commands
Cue Points
Cue Points Menu
Control


Editing Overview

Almost all commands in GoldWave operate on the currently selected part of a sound. The selected part, or selection, is the highlighted part of the sound graph between two vertical markers. The vertical markers are cyan lines located at the far left side (start marker) and far right side (finish marker) of the graph in the Sound window.

GoldWave provides several ways of setting the selection. You can:

  • Use the normal click-and-drag method used in most other Windows programs to select the part of the graph you want to edit.
  • Click the right mouse button to display a menu where you can choose Set Start Marker or Set Finish Marker.
  • Start playing the sound and use the Edit | Marker | Drop Start or Edit | Marker | Drop Finish commands. You can click on the time axis to start playback anywhere in the sound.
  • Position the mouse directly over one of the cyan markers and click-and-drag it to a new position (useful for precise adjustments of the end points).
  • Click-and-drag using the right mouse button to select part of the graph, then choose Select from the menu that appears.
  • Use the Edit | Marker | Set command.
  • Use the Edit | Channel menu to select one channel of a stereo file.
  • Refer to Navigation and Editing for details on using the keyboard.

Mouse selection methods work in both the large sound graph or in the small Overview graph.

If you just click the left mouse button without dragging, the start marker is moved. If you just click the right mouse button, a context menu appears, which can be used to start playback at any position. If you click-and-drag with the right mouse button, you can play or zoom in on that area without altering the current selection.

To disable the right-click menu and use the older left/right mouse button selection method, select that setting under the Options | Window command.

See Also
Edit | Marker | Set
Direct Editing of the Waveform
Edit Menu Commands
View Menu Commands
Cue Points
Hard Drive Versus RAM Storage


Company

GoldWave Incorporated is a Canadian corporation founded in 2001 by Chris Craig after many years of independent software development. The company's goal is to provide high quality, inexpensive, and easy to use digital audio and video software.

Contact Information

Mail:

  GoldWave Inc.
  P.O. Box 51
  St. John's, NF
  CANADA  A1C 5H5

Websites:

  Company:  http://www.goldwave.com/
  Purchase: http://www.goldwave.com/purchase.php
  Contact:  http://www.goldwave.com/contact.php

  Canada:   http://www.goldwave.ca/


File Menu Commands

New
Displays the New Sound window to specify the attributes and length of a new file. New files are virtually created and require no storage until changes are made. When the new file is saved, the Wave (.wav) format is selected by default. Use the Options | File Formats command to change the "default save format".

Open
Opens an existing sound file. If GoldWave does not recognize the file's format, the File Format window is displayed. For unrecognized formats, you can associate a default format with a file name extension by using the Options | File Formats command. The settings undex Options | Storage control where the file is stored for editing.

Close
Closes the current sound.

Close All
Closes all sounds.

Information
Sets the file's title, author, description, and copyright information. This information is saved only in some file types, such as .wav, .aiff, .wma, .xac, .ogg, and .mp3.

Save
Saves the current sound.

Save As
Saves the current sound under a different name and/or format. This command can be used to convert files from one format to another by selecting appropriate type and attributes.

Save All
Saves all modified sounds.

Save Selection As
Saves the selected part of the current sound to the hard drive under a different name and/or format. See Save As.

Batch Processing
Converts and/or processes a group of files.

Exit
Exits GoldWave.

1..9 File History
At the bottom of the File menu is a history list of recently opened files. These files can be re-opened by selecting them from the menu.


File Information

Menu Command: File | Information

Use the File Information window to store information within the audio file, including the title, artist, description, and copyright notice. Note that information is saved only in some file formats, such as .wav, .wma, .aiff, .xac, .ogg, and ID3v2 .mp3 files.

Information may be discarded for other file types. Any additional information or metadata not shown in this window is not preserved by GoldWave.

Use the Copy and Paste buttons to copy information from one file and paste it into another.


Batch Processing

Menu Command: File | Batch Processing

Use Batch Processing to convert a set of files from one format to another and/or to apply effects to a set of files. Add files by using the Add Files button or by using drag-and-drop with Windows Explorer. You can add an entire folder or all the files in a folder of a specific type by using the Add Folder button.

You can remove items from the list by selecting one or more of the items and choosing the Remove button. The Remove All button removes all files and folders from the list.

The tabs along the bottom let you configure conversions, effects, destination folder, and file information. These are explained below.

Use the presets controls to save all settings for quick recall later.

Press the Begin button to start processing all the files. A status window will appear showing the progress and list any errors.

Use the Apply button to start processing directly on the current sound already opened in GoldWave. Only the items listed on the Process tab will be applied to the sound. The sound is not converted and file information is not changed. This button is enabled only when a sound is opened, there are items in the process list, and no files have been added to the file list.

To process headerless, raw, or Dialogic files that GoldWave cannot open automatically, use Options | File Formats to add a default format.

Convert Tab
If you check the Convert files to this format box, then all files will be converted to the format you specify on this tab. Otherwise no conversion is performed and the processed files will have the same format as the original files, if possible. If the same format cannot be used, then an error will be reported.

Use the Save as type drop down list to select the destination format for the conversion, then use the Attributes drop down list to select the specific attributes to use for the destination type.

If the attributes allow any sampling rate to be used, you can specify the destination rate to use. Some attributes have a fixed rate, so a separate rate cannot be specified for those. If no rate conversion is needed, make sure the Rate box is not checked. In that case, the processed files will have the same rate as the original files.

Process Tab
If you want to apply effects or editing to a group of files, use this tab to add a set of effects, edits, or chains to the list. If no effect processing is required, make sure you remove all effects by using the Remove All button on this tab. To remove a single effect from the list, select the effect and use the Remove button. You can change the order of processing by dragging and dropping items within the list.

To add an effect, use the Add Effect button. You'll be presented with a tree list of all effects available and their presets. Select the preset you want to use. Effect chains can be added by using the Add Chain button.

If you require different effect settings, you'll need to use the Effect menu or the Effect Chain Editor tool to create a preset or chain with the settings you require.

Use the Add Edit button to add editing commands. The "Set Marker/Selection" edit command lets you specify a part of the file to apply subsequent editing commands and effects.

See the GoldWave Manual for examples.

Folder Tab
If you want all processed files to be stored in the same folder where they currently reside, select the Store all files in their original folder option.

If you want all processed files to be stored in a specific folder, select the Store all files in this folder option and specify a folder in the box provided. Click on the folder button to browse for a folder.

Check the Preserve subfolder structure checkbox to maintain the relative subfolder structure when entire folders with subfolders are added to the processing list with the Add Folder button. See the GoldWave Manual before adding more than one folder with subfolders.

To overwrite any files having the same name and folder as the processed file, check the Overwrite existing files box. GoldWave fully processes original files before overwriting them.

Information Tab
Use this tab to control how information is processed. See File | Information. Select Retain information currently in each file if you do not want the file's information to be changed. Select Replace information in all files and use the Set Info button to provide all the information. Any entries left blank are removed from the file. Select Replace specified information only in all files to replace some of the information. Use the Set Info button to enter the information to replace. Any entries left blank are not changed in the file.

Depending on the setting used, all processed files may have exactly the same information, so care must be taken when entering file specific information such as Title. If the Title is left blank, GoldWave replaces it with the file's name. If you set the track number to "##", it is replaced with a sequential number based on the order in which the files are processed. Also note that not all file types can store information.

See the GoldWave Manual for information about using batch processing from the command line.


Save As

Menu Command: File | Save As

Use the Save Sound As window to save a sound under a different name and/or convert it to a different format. You can convert a file from stereo to mono, 8 bits to 16 bits, .wav to .mp3, and a wide variety of compressed formats.

For more details about attributes, see Attributes under File Format. To set a default format, see the Options | File Formats command.

To rename a sound:

  1. Choose Save As from the File menu.
  2. Type in a new name in the File Name box.
  3. Choose OK.

To convert the sound to a different format:

  1. Choose Save As from the File menu.
  2. Type in a new name in the File Name box.
  3. Choose the new file type from Save as type list.
  4. Choose an appropriate set of attributes from the Attributes list.
  5. Choose OK.
  6. If you want the Sound window to have the new format, choose Yes if prompted to use the new format. If you want the Sound window to retain its current format, choose No.

If you choose Yes to update the Sound window, the sound is reopened from the new file on the hard drive.

If no filename extension is given, an appropriate one will be appended.

Note that different file types support different attributes. Always pick the type first to see what attributes are available. If the file type supports customized attributes, the Attributes label becomes a link you can click to display a custom configuration window.

To create an .mp3 (MPEG Layer 3) compressed file, choose the MPEG Audio (*.mp3) type and select one of the listed attributes. You must have an MPEG encoder installed, otherwise an error message will appear. See the GoldWave website for details.

To convert a .wav file to a standard .au file for a website, choose the Sun (*.au) type and the Java/Web attribute.

To save an .au file as a .wav file, you choose the Wave (*.wav) type and the PCM signed 16 bit, mono attributes.


Edit Menu Commands

Undo
Reverses the last edit or effect.

Redo
Reverses the last undo.

Cut
Copies the selection into the clipboard and deletes it from the sound.

Copy
Copies the selection into the clipboard.

Copy To
Copies the selection directly to a new file.

Paste
Pastes the clipboard into the sound.

Paste New
Pastes the clipboard to a new Sound window.

Paste At
Pastes the clipboard into the sound at a specified location.

Mix
Mixes the clipboard with the sound.

Crossfade
Crossfades the clipboard with the sound.

Overwrite
Overwrites the sound with the clipboard sound.

Replace
Replaces the selection with the sound in the clipboard.

Delete
Deletes the selection.

AutoTrim
Trims silence from the the ends of the selection.

Trim
Deletes the ends of the sound outside the selection (trims off the ends).

Mute
Replaces the selection with silence.

Insert Silence
Inserts silence into the sound of a length you specify in seconds. The silence is inserted at the start marker's position.

Select View
Moves the start and finish markers to the left and right sides of the Sound window. This selects all the sound currently displayed in the graph.

Select All
Moves the start marker to the beginning of the file and the finish marker to the end of the file so that the entire file is selected.

Channel
Controls which channel of a stereo sound will be used or modified by editing or effects. You can use this menu to copy a single channel from a stereo sound or apply an effect to only one channel. The currently selected channel is shown in the status bar. The channel setting has no effect when recording, using the Expression Evaluator, or using rate modifying effects such as Resample and Playback Rate.

Marker
Shows a menu of marker related commands. These commands let you set markers to an exact time or sample position and move the markers to the current playback/recording position.

Cue Point
Shows a menu of cue point related commands. These commands let you edit cue points, drop cue points during playback/recording, move the start marker to a cue point, or split a file based on cue points.

See Also
Direct Editing of the Waveform
Editing Overview
Cue Points


Undo

Menu Command: Edit | Undo

Reverses the most recent change made to a sound. The Undo feature keeps a copy of the original sound in temporary storage. Use Options | Storage to configure storage and undo levels. If zero levels are specified, then undo is disabled.

See Also
Redo


Redo

Menu Command: Edit | Redo

Reverses the most recent undo. By using undo and redo, you can do a "before and after" comparison. Redo reperforms the last undone command without processing the file again.

See Also
Undo


Cut

Menu Command: Edit | Cut

Removes the selection from the sound and copies it to the clipboard. The contents of the clipboard can then be pasted or mixed into another sound. Note that if only the left or right channel is selected in a stereo sound, then only that channel is removed. Since it is not possible for one channel to be larger than the other, the end of the cut channel is padded with silence.

Use Delete instead to remove the selection without copying it to the clipboard.

To cut:

  1. Select the part of the sound to cut. See Editing Overview.
  2. Choose Cut from the Edit menu or click on the Cut button.

See Also
Copy
Delete
Trim


Copy

Menu Command: Edit | Copy

Copies the selection into the clipboard. The selection is not removed. The contents of the clipboard can then be pasted or mixed into another sound.

To copy:

  1. Select the part of the sound to copy. See Editing Overview.
  2. Choose Copy from the Edit menu or click on the Copy button.

See Also
Cut
Copy To


Copy To

Menu Command: Edit | Copy To

Copies the selection to a new file. This is the same as the File | Save Selection As command.

To copy the selection to a file:

  1. Select the part of the sound to copy. See Editing Overview.
  2. Choose Copy To from the Edit menu or click on the To button.
  3. Enter a filename and choose a save type and the attributes.
  4. Choose OK.

See Also
Copy
Save As
Split File


Paste

Menu Command: Edit | Paste

Inserts the clipboard sound into the current sound at the start marker's position. The length of the current sound is increased so that the clipboard sound will fit. The clipboard sound is automatically converted to match the attributes of the current sound.

To paste:

  1. Copy audio to the clipboard. See Edit | Copy.
  2. Move the start marker to the place where you want to paste the clipboard sound. See Editing Overview.
  3. Choose Paste from the Edit menu or click on the Paste button.

See Also
Copy
Cut
Mix
Overwrite
Paste At
Paste New
Replace


Paste At

Menu Command: Edit | Paste At

Inserts the clipboard sound into the current sound at the location selected from the menu: Beginning, Finish Marker, or End. The length of the current sound is increased to make room for the clipboard sound. The clipboard sound is automatically converted to match the attributes of the current sound.

To append the clipboard to the end of the current sound:

  1. Copy audio to the clipboard. See Edit | Copy.
  2. Choose End from the Edit | Paste At menu.

See Also
Copy
Cut
Mix
Overwrite
Paste
Paste New
Replace


Paste New

Menu Command: Edit | Paste New

Creates a new Sound window and copies the sound in the clipboard into the new sound. The new sound will have the same attributes and length as the clipboard sound.

To paste part of a sound into a new sound:

  1. Select the part of the sound to copy to a new sound. See Editing Overview.
  2. Choose Copy from the Edit menu or click on the Copy button.
  3. Choose Paste New from the Edit menu or click on the PNew button.

See Also
Copy
Cut
Mix
Overwrite
Paste
Paste At
Replace


Mix

Menu Command: Edit | Mix

This is a special editing command for sounds. The sound in the clipboard is added to (or layered) with the current sound, such as adding vocals to music. You are prompted for the start time and the mix volume. The volume is applied to the clipboard sound.

To mix:

  1. Copy audio to the clipboard. See Edit | Copy.
  2. Move the start marker to the approximate place where you want to mix the clipboard sound. See Editing Overview.
  3. Choose Mix from the Edit menu or click on the Mix button.
  4. Enter the volume to mix the clipboard (0 dB is full volume).
  5. Preview the mix using the play button and adjust the start time and volume as required. Note that you'll need to press the play button again before the new settings are previewed.
  6. Choose OK.

See Also
Copy
Crossfade
Overwrite
Paste
Replace
Volume Effects
Voice Over effect in GWVoice plug-in (website)


Crossfade

Menu Command: Edit | Crossfade

Crossfade fades out one sound while fading in another. The Duration specifies how long the transition between the clipboard audio and current sound audio lasts. An entire song must be copied to the clipboard before using this command. The Clipboard position setting specifies which end of the current sound the clipboard song will be pasted and faded. If End of file is selected, then the clipboard is pasted and crossfaded at the end of the file. If Beginning of file is selected, then the clipboard is pasted and crossfaded at the beginning of the file. The Fade curve settings control how the audio is faded. The fade is shown graphically and can be previewed.

To crossfade between two songs:

  1. Open a song and copy it to the clipboard. See Edit | Copy.
  2. Open a second song.
  3. Choose Crossfade from the Edit menu or click on the Xfade button.
  4. Change settings as needed. To crossfade from the first song to the second song, select the Beginning of file option so that the clipboard song is placed before the second song.
  5. Preview the crossfade using the play button. Only the overlapped, crossfaded area is previewed. Note that you'll need to press the play button again to preview changed settings.
  6. Choose OK.

See Also
Copy
Mix
Overwrite
Paste
Replace
Fade In
Fade Out


Overwrite

Menu Command: Edit | Overwrite

Overwrites the current sound with the clipboard sound beginning at the start marker. The amount of sound overwritten depends on the length of the clipboard. Unlike Replace, the length of the current sound is not changed and nothing is shifted. If the clipboard is longer than the current selection, then part of the sound outside the selection will be overwritten as well.

To overwrite:

  1. Copy audio to the clipboard. See Edit | Copy.
  2. Move the start marker to the beginning of the area to be overwritten. See Editing Overview.
  3. Choose Overwrite from the Edit menu or click on the Over button.

See Also
Copy
Mix
Paste
Paste At
Paste New
Replace


Replace

Menu Command: Edit | Replace

Replaces the selection with the clipboard sound. If the length of the clipboard is different than the length of the selection, then the length of the current sound is changed so that the clipboard sound will fit between the selection endpoints.

To replace:

  1. Copy audio to the clipboard. See Edit | Copy.
  2. Select the part of the sound to replace. See Editing Overview.
  3. Choose Replace from the Edit menu or click on the Repl button.

See Also
Copy
Mix
Mute
Overwrite
Paste
Paste At
Paste New


Delete

Menu Command: Edit | Delete

Removes the selection from the sound. The selection is not copied to the clipboard. Note that if only the left or right channel is selected in a stereo sound, then only that channel is removed. Since it is not possible for one channel to be larger than the other, the end of the deleted channel is filled with silence.

To delete:

  1. Select the part of the sound to delete. See Editing Overview.
  2. Choose Delete from the Edit menu or click on the Del button.

See Also
Cut
Mute
Trim
AutoTrim


Trim

Menu Command: Edit | Trim

Removes the ends of the sound that are outside the selection, keeping only what is selected. The ends are not copied to the clipboard. Note that if only the left or right channel is selected in a stereo sound, then only that channel is trimmed. Since it is not possible for one channel to be longer than the other, the ends of the trimmed channel are padded with silence.

To trim:

  1. Select the part of the sound to keep. See Editing Overview.
  2. Choose Trim from the Edit menu or click on the Trim button.

See Also
Cut
Delete
AutoTrim


AutoTrim

Menu Command: Edit | AutoTrim

Removes leading and trailing silences from the ends of the selection. Unlike the Trim command, this command works only on the selection and does not remove silences outside the selection.

Silence to keep controls how much silence to leave on the ends. Extra silence is not added if the existing silence is less than this amount. Use zero to remove all silence. The Threshold specifies the minimum, sustained level of audio that should not be considered silence. If the audio has a lot of background noise or hiss, use values above -30dB. If the audio is clean, use values below -40dB.

Leading silence, trailing silence, or both will be removed depending on the Trim option you select.

Note that if only the left or right channel is selected in a stereo sound, then only that channel is trimmed. Since it is not possible for one channel to be longer than the other, the ends of the trimmed channel are padded with silence.

To trim silences from the ends of the entire file:

  1. Select the entire file by using the Edit | Select All command.
  2. Choose AutoTrim from the Edit menu.
  3. Enter the length of silence to keep and the threshold for the silence.
  4. Choose OK.

See Also
Cut
Delete
Silence Reduction
Trim


Insert Silence

Menu Command: Edit | Insert Silence

Inserts silence at the start marker's position. Duration specifies the length of time of the silence to insert.

To insert 1 minute of silence:

  1. Move the start marker to the place where you want to insert the silence. See Editing Overview.
  2. Choose Insert Silence from the Edit menu or click the Silen button.
  3. Enter 1:00 for the duration.
  4. Choose OK.

See Also
Delete
Mute
Silence Reduction


Marker Menu

Menu Command: Edit | Marker

The Edit | Marker menu contains selection marker related commands. For more information about markers, see Editing Overview.

Set
Sets the start and finish markers to an exact time or sample position.

Previous
Moves the selection markers to their previous positions. Five previous positions are saved automatically.

Drop Start
Drops the start marker at the current playback or recording position. This command is enabled only during playback and recording.

Drop Finish
Drops the finish marker at the current playback or recording position. This command is enabled only during playback and recording.

Store Selection Positions
Stores the start and finish marker positions. This acts like the "Store" button on a calculator. Hold the Ctrl key to store the positions so they can be recalled in a different Sound window.

Recall Selection Positions
Moves the start and finish markers to the previously stored locations. This acts like the "Recall" button on a calculator. Hold the Ctrl key to recall the positions stored within a different Sound window.

Snap To Zero-Crossing
If you check this option, whenever you move a marker its position is adjusted so that it is on near a place where the waveform approaches zero. This helps to reduce any clicks caused by a sudden change in the waveform after editing. Note that the marker may be snapped to a place that is several hundred samples away from the position where you released it. The best zero-crossing point is used, which is not necessarily the closest point.

When editing a stereo file, both the left and right channels are scanned for the best overall position for the marker. Use the Edit | Channel menu to limit the zero-crossing search to a single channel.

When zoomed in 1:1 or closer, snapping is automatically disabled so you can place the marker at any position.

See Also
Editing Overview
Cue Points
Cue Points Menu


Cue Point Menu

Menu Command: Edit | Cue Point

The Edit | Cue Point menu contains cue point related commands. For more information about cue points, see Tool | Cue Points.

Edit Cue Points
Displays the Cue Points tool.

Drop Cue
Drops a cue point at the current playback, recording, or start marker position. The name of the cue point is set to the time position by default, but that can be changed in the Auto Cue settings under the Cue Points tool.

Jump To Next Cue
Moves the start marker to the next cue point in the file or to the end end of the file if there are no more cue points. If the start marker is at the end of the file already, then it is moved to the beginning of the file.

Jump To Previous Cue
Moves the start marker to the previous cue point in the file or to the beginning of the file if there are no previous cue points. If the start marker is at the beginning of the file already, then it is moved to the end of the file.

Split File
Divides the file onto smaller files using cue points as split points.

Show Cue Lines
Displays vertical cue lines on the Sound window graph. This setting applies to each Sound window individually, so lines can be shown in one window and not in another. When a new window is opened, the last setting selected is used.

See Also
Editing Overview
Cue Points
Marker Menu


Effect Menu Commands

Doppler
Dynamically changes pitch.

Dynamics
Distorts, compresses or limits output levels.

Echo
Produces an echo.

Compressor/Expander
Compresses, limits, or expands dynamic range.

Filter
Displays a menu listing filter related commands.

Flanger
Creates a number of flanging related audio effects.

Interpolate
Uses linear interpolation to smooth out the waveform between the start and finish markers. Use this command on a tiny selection (a few milliseconds) to remove a pop or click.

Invert
Turns the sound upside-down.

Mechanize
Adds a mechanical characteristic.

Offset
Changes the dc offset.

Pitch
Changes or transposes the pitch (frequency).

Plug-in
Show menus listing all the effect plug-in modules currently installed. Plug-in effects can be selected from those menus.

Reverb
Adds a reverb effect to a sound, giving it more depth.

Reverse
Reverses the selection so that it plays backwards. Helps find those "satanic" verses in controversial music.

Stereo
Displays a menu showing stereo related effects.

Time Warp
Changes the speed and stretches or compresses the length of the selection.

Volume
Displays a menu listing several volume related commands.

Playback Rate
Changes the rate at which the entire sound is played.

Resample
Changes the entire sound so that it can be played at a different sampling rate. Useful for converting files to the standard CD sampling rate of 44100Hz.

See Also
Editing Overview
Edit Menu Commands


Doppler

Menu Command: Effect | Doppler

The Doppler effect dynamically alters or bends the pitch of the selection. Use the Shape Controls to change the pitch and speed over the length of the selection from one quarter to two times normal.

See Also
Pitch
Time Warp
Shape Volume
Using Presets


Dynamics

Menu Command: Effect | Dynamics

Dynamics alters the amplitude mapping (dynamic range) of the selection. It can limit, compress, or expand a range of amplitudes. The amplitude mapping is set using Shape Controls, where the x-axis and y-axis both have a range of -1 to 1. When the line stretches diagonally from the lower left corner to the upper right corner, the input amplitude (x) and output amplitude (y) are the same for every point on the line. By changing the line, the output will be different from the input.

See Also
Compressor/Expander
Using Presets


Echo

Menu Command: Effect | Echo

Adds echoes to the selection. The number of echoes, delay, volume, and feedback can be set in this window.

Echoes
Sets the number of echoes to create. Each echo gets quieter, depending on the Volume setting below.

Delay
Specifies the time between each echo. The longer the delay, the longer it takes for the echo to bounce back.

Volume
The lower the volume, the quieter the echo will be. Values less than -6dB give good results.

Feedback
Specifies the volume of the regeneration of the echo. This gives the echo more depth or fullness.

Stereo
Makes the echo bounce between the left and right channels in a stereo sound.

Generate tail
To make the echo sound more natural at the end, some silence is added to the end of the selection so that the trailing, fading echoes can be stored. This increases the length of the sound. Turn this setting off if you do not want to change the length of the selection or have any silence inserted. If the option is off, echoes will end abruptly rather than trailing off gradually.

See Also
Flanger
Reverb
Using Presets


Compressor/Expander

Menu Command: Effect | Compressor/Expander

The Compressor/Expander effect is a general purpose dynamics processor commonly used as a compressor, limiter, expander, or a gate. See the GoldWave Manual for more detailed information. Note that this effect does not change the size of files (it does not control file compression).

The Multiplier specifies the level of volume change. For compression, this value should be less than 0dB. For expansion, the value should be less than 0 as well.

The Threshold specifies the audio level to activate the expander or compressor. Compressors change the volume level of all sounds above that level. Expanders change the volume level of all sounds below that level.

The Attack and Release times specify how quickly the expander/compressor is activated. An attack value of 0.100 means that the audio level will have to cross the for at least one tenth of a second before the multiplier is used at full force. A release value of 0.100 means the multiplier will continue to be used (decreasingly) for one tenth of a second after the threshold is no longer crossed.

Use the Expander and Compressor modes to specify what processing is required. Use Expander mode to change volumes of quiet sounds. Use Compressor mode to change volumes of loud sounds.

The Anticipate attack setting tells the effect to scan ahead for audio that crosses the threshold. If the Attack time is set to 0.100, then the effect scans ahead by 0.100 seconds. This means that the multiplier will be at full force the instant the threshold is crossed rather than building to full force 0.100 seconds later. The Use smoother setting smooths out any sudden volume changes which may occur during processing with small attack/release times.

The Noise gate presets are useful for removing noise in quiet sections of a sound.

See Also
Dynamics
Using Presets
Auto Gain effect in GWVoice plug-in (website)


Filter Menu

Menu Command: Effect | Filter

This menu lists filter related commands. Filters are used to remove ranges of frequencies from sounds and can produce a variety of effects.

Bandpass/stop
Applies a bandpass or bandstop filter to the selection with the specified frequency range.

Equalizer
Boosts or reduces fixed frequency bands using a 7-band equalizer.

Low/Highpass
Applies a lowpass or highpass filter to the selection at the specified cutoff frequency.

Noise Reduction
Reduces noise in the selection.

Parametric EQ
Boosts or reduces frequencies. Up to 40 bands can be created with precise control over the center frequency, gain, and bandwidth.

Pop/Click
Finds and repairs pops and clicks.

Silence Reduction
Searches for long silences and reduces them. Saves storage space.

Smoother
Averages the audio to reduce crackling and popping.

Spectrum Filter
Applies a general purpose, frequency based, gain filter.


Flanger

Menu Command: Effect | Flanger

A Flanger effect uses variable delays and mixing to create some unusual audio effects.

Volumes
Source specifies the volume of the unmodified sound to mix with the output.

Flanger specifies the volume of the delayed sound to mix with the output.

Feedback specifies the volume of the feedback to mix with the output.

Flanger Settings
Variable delay specifies in milliseconds how much the flanger delay should vary. A value of 40 will let the delay vary from 0 to 40 milliseconds.

Frequency specifies how fast to vary the delay. A value of 2 will vary the delay over its depth twice a second. For a value of 0.2, the full depth is reached every 5 seconds.

Fixed delay is added to the variable delay to change the total delay. If the variable delay is 40 and the fixed delay is 10, the delay will vary from 10 to 50 milliseconds.

Sine modulator varies the delay based on a sine wave.

Triangle modulator varies the delay based on a linear triangular wave.

Stereo causes the flanger and feedback audio to be mixed with opposite channels, giving a more pronounced stereo effect.

See Also
Echo
Reverb
Using Presets


Invert

Menu Command: Effect | Invert

Reflects the selection about the x (time) axis, turning the waveform upside-down. This produces no noticeable effect in mono sounds and has a slight effect in stereo sounds. Inverting a single channel of a stereo sound will produce a simulated surround-sound effect.

See Also
Channel Mixer
Dynamics
Edit | Channel


Mechanize

Menu Command: Effect | Mechanize

Adds a robotic or mechanical characteristic to the selection. Frequency sets the speed of modulation. High values produce an untuned two-way radio effect. Low values give a rough, distorted, or intermittent effect.

The modulator can be a sine wave, a triangular wave, a square wave, or a section of audio copied to the clipboard.

See Also
Flanger
Using Presets


Offset

Menu Command: Effect | Offset

Adjusts or removes a dc offset in the selection by shifting the waveform up or down. If you notice that silent sections of a sound are not at zero in the graph, you can use this effect to adjust them to zero.

The Left and Right offset values for a stereo sound can be set independently. A positive value shifts the graph up and a negative value shifts it down.

Use the Scan Offset button to automatically determine the values to remove any offset from the sound.

See Also
Dynamics
Filter dc offset during recording
Using Presets


Pitch

Menu Command: Effect | Pitch

Changes the pitch of the selection. This is useful for converting instrument samples from one note to another. The pitch can be changed by using a scale factor or by specifying semitone and fine tune values.

Scale
This option scales the pitch by a percentage. If you set the scale to 50, that will be equivalent to a downward shift by one octave. A value of 200 is the same as an upward shift of one octave and would make a voice sound like a chipmunk. A value of 75 would make a woman's voice sound like a man's.

Semitone
This option changes the pitch by semitones (notes). If your sound is a note at middle C and the semitone value is 2, the note will be changed to D. A value of -1 changes the note to B. A value of 12 make the note one octave above middle C. The Fine tune value lets you make a slight pitch adjustment in hundredths of a semitone. For example, a value of 50 would let you change a note from middle C to halfway between C and C#.

Preserve length
If this option is checked, a complex algorithm is used to keep the length of the original note the same as the new note. The tempo is preserved. In terms of a voice, this changes the pitch without speaking faster or slower. This option requires a substantial amount of processing time. In general, the FFT size should be set to 11 or 12 and the Overlap should be at least 88. Values of 90 and 95 will give better results, but require more processing time.

Higher quality pitch changes may be possible using the Time Warp effect. Try the "Similarity pitch up" or "Similarity pitch down" presets under the Tool | Effect Chain Editor.

See Also
Doppler
Playback Rate
Time Warp
Using Presets


Plug-in Menu

Menu Command: Effect | Plug-in

The Effect | Plug-in menu lists all the effect plug-in modules detected by GoldWave. To use plug-in effects, select the module menu item containing the effect, then select the effect from the submenu that appears. For example, to use a DirectX plug-in, select the DirectX menu item from the Effect | Plug-in menu, then select the specific effect from the submenu that appears.

GoldWave checks for new plug-ins only during startup, so if you install a new plug-in, you must restart GoldWave for it to be detected.

To add a DirectX plug-in to the menu, install the plug-in first, run GoldWave, then use the Options | Plug-in | Effect | DirectX command to select the plug-in. Restart GoldWave for the new plug-in to be detected and added to the Effect | Plug-in | DirectX menu.


Reverb

Menu Command: Effect | Reverb

Adds a reverb to the selection. The reverb time, volume, and delay scale can be set in this window.

Reverb time
Sets the size of the reverb. A longer time implies a larger chamber or room.

Volume
The lower the volume, the quieter the reverb will be. Values less than -18dB give good results.

Delay scale
Alters the delay of the reverb for fine tuning. Use 1.0 for a standard reverb.

See Also
Echo
Flanger
Using Presets


Stereo Menu

Menu Command: Effect | Stereo Menu

Effect | Stereo displays a menu containing stereo related effects. These effects work only with stereo sounds and are not enabled for mono sounds.

Channel Mixer
Mixes, exchanges, inverts, or combines the left and right channels.

MaxMatch
Combines the Maximize and Match volume effects on a stereo file to match/balance and maximize the left and right volume levels within the file. After processing, the left and right channels will have the same average volume level and at least one channel will have full dynamic range (1.0 or 0dB). Note that it is rarely possible for channels to have the same average and both have full dynamic range at the same time.

Pan
Dynamically sets internal balance and left/right channel panning.

Reduce Vocals
Reduces vocals in music.

See Also
Edit | Channel


Time Warp

Menu Command: Effect | Time Warp

Changes the playback speed or stretches/compresses the length of the selection. The Change value lets you specify a relative change in percent. A value of 50 makes the selection play twice as slow. A value of 200 makes the selection play twice as fast. The Length option lets you specify a new length for the selection. This is useful if you need to make a sound fit a certain time, such as squeezing a 35 second commercial into a 30 second spot.

Three different time altering algorithms are provided, each with advantages and disadvantages.

Rate
Changes the sampling rate of the entire sound so that it plays back at a different speed, similar to spinning a vinyl record faster or slower. It works the same way as the speed fader in the Control window, but in this case, the sound itself is changed. This technique is very fast and produces excellent quality. However, the pitch of the sound is changed as well.

Similarity
Uses correlation to add or overlap small, similar sections of the sound. This technique preserves the pitch and generally produces high quality for voice and fair quality for music, when using small changes. A large amount of time may be require for processing, depending on the Search range value. For voice, the Window size should be set between 20 and 30 and the Search range set to between 5 and 10. For music, larger Window size and Search range values give better results, such as 100 and 25.

FFT
Uses Fourier transforms and interpolates or decimates the spectral analysis to change the length. This technique preserves the pitch, but can introduce some artifacts into the sound. Best quality is obtained by using the Oscillator synthesis option, but that requires significant processing time. The FFT size should be set to 11 or 12 and the Overlap should be at least 75, but can be set to 88, 90, or 95 for slightly better quality.

Note: If you changed the Control window playback speed fader, remember to set it back to 1.00 so that the sound plays at the correct speed.

See Also
Control (speed fader)
Pitch
Playback Rate
Using Presets


Volume Menu

Menu Command: Effect | Volume

Effect | Volume displays a menu containing volume related effects. Volumes are specified in decibels (dB), but a percentage value is shown as well. See the GoldWave Manual for more information about volume units.

Although the output volume of the playback device can be controlled by a fader in the Control window, volume effects change the internal volume of the sound itself.

Change Volume
Changes the volume of the selection.

Fade In
Gradually increases the volume throughout the selection.

Fade Out
Gradually decreases the volume throughout the selection.

Match Volume
Sets consistant volume levels across different files based on an average level.

Maximize Volume
Increases volume as high as possible without distortion (sometimes referred to as normalizing). Shows current maximum volume levels.

Shape Volume
Performs volume envelope shaping.

See Also
Control (volume fader)
Crossfade
Mute
Pan


Playback Rate

Menu Command: Effect | Playback Rate

Changes the playback rate of the entire sound. The sound will play faster (or slower) and its pitch will be higher (or lower). Essentially, this just changes rate value shown in the status bar.

While the playback rate of the audio device can be controlled using the speed fader in the Control window, this effect changes the playback rate of the file itself.

See Also
Control (speed fader)
Doppler
Pitch
Resample
Time Warp


Resample

Menu Command: Effect | Resample

Changes the sampling rate of the entire sound. Unlike Playback Rate, this command re-calculates and interpolates all the data so that the pitch and playback time are not affected. You are prompted to enter a new rate. Use this effect to convert files to a specific rate, such as the standard CD audio sampling rate of 44100Hz, or to the telephony rate of 8000Hz.

See Also
Control (speed fader)
Doppler
Pitch
Playback Rate
Time Warp


View Menu Commands

View commands act like a zoom lens allowing you to zoom in or out of the sound graph. By using these commands, you can get a more detailed view of the selection and shape of the waveform. The Overview Bar at the bottom of a Sound window shows what part of the sound is currently graphed. In addition to these commands, you can right-click-and-drag to select a region to zoom in on. Use the scroll bar below the waveform or click-and-drag with the middle mouse button (wheel button) to view a different part of the waveform when zoomed in.

All
Graphs the entire sound.

Specify
This magnifies the graph to any level you specify.

Selection
Magnifies the selection, increasing the detail of the graph. You can zoom in many times (by changing the selection and zooming again) until a single sample is shown in the graph.

Preset
Magnifies the sound to the level of detail specified under the Options | Window window. The start marker is used as the zoom location. The level can be set to any value you find convenient.

Previous
Returns the view to the previous zoom level. Use this to switch back and forward between two different zoom levels.

Auto Scroll Lock
Automatically scrolls the view during playback and recording so that the current position is always shown in the view and enables keyboard navigation for moving the playback cursor with the keyboard.

Zoom In
Magnifies the sound by a factor of 1.33. The middle of the Sound window is used as the zoom location.

Zoom Out
Reduces magnification to by a factor of 1.33. This shows more of the sound. The middle of the window is used as the zoom location.

Zoom 10:1
Magnifies the sound to give a very high level of detail. At this level, individual samples are easily visible. The start marker is used as the zoom location. Direct waveform editing with the mouse is possible at this level.

Zoom 1:1
Magnifies the sound to give a true representation of the waveform. The start marker is used as the zoom location.

1 Second, 10 Seconds, 1 Minute, 1 Hour
Shows the given amount of time of audio beginning at the start marker's position. You can use View | Finish to see the audio at the end.

Vertical Zoom All
Vertically zooms all the way out so that the entire vertical/amplitude range of the sound is shown.

Vertical Zoom In
Magnifies the graph vertically to show twice as much amplitude detail. Zooming is centered on the middle of the graph.

Vertical Zoom Out
Reduces vertical magnification to show half as much amplitude detail. This show a larger range of the amplitude. Zooming is centered on the middle of the graph.

Start
Scrolls the graph to the start marker.


Tool Menu Commands

CD Reader
Displays the CD Reader tool for copying audio tracks from a CD to files on your hard drive.

Control
Shows or hides the Control window.

Cue Points
Displays the Cue Points tool, where cue points can be created or edited.

Effect Chain Editor
Displays the window where effect chains can be created or edited.

Expression Evaluator
Displays the window where sounds can be generated from mathematical expressions.

File Merger
Displays the window where many separate files can be joined together to create one large file.


CD Reader

Menu Command: Tool | CD Reader

The CD Reader tool digitally copies audio directly from an audio CD to your hard drive, without using your sound card. The CD-ROM drive must be MMC compliant (Multimedia Command Standard). For Windows 98 and ME an ASPI driver must be installed (usually installed by Windows). For Windows 2000, XP, Vista, or later, support is built-in. Due to the wide variety of interfaces, inconsistent device standards, and problems with the Windows ASPI driver, incompatiblities may arise that will require a system reset. It is recommended that you close all other programs before proceeding.

To read tracks from a CD and save them to files:

  1. Insert an audio CD in the CD or DVD drive.
  2. Wait a moment for the system to recognize the CD.
  3. Select the CD device from the drop down list. A list of tracks appears. If an "insert CD" message appears, choose Cancel and select a different CD device from the drop down list.
  4. If you have an active Internet connection, choose the Get Titles button to get CD and track information from the freedb.org database. If you cannot access the database, check your connection or see the note below about setting a proxy server.
  5. Check the boxes next to the tracks you want to save or choose the Select All button to select all tracks.
  6. Choose the Save button and specify the destination folder, file type and attributes in the Save CD Tracks window.

To read part of a track, or a time range, or the complete CD to a single file:

  1. Choose the Read Time Range tab.
  2. Enter the From and To times or select track times from the drop down lists.
  3. Use the preview playback buttons to check the from and to times, if necessary.
  4. Choose the Save button and specify the filename, file type and attributes to use when saving the tracks.

Options/Features

  • Use the Options tab to changes settings for reading audio from the CD and downloading information from the database.
  • The Swap bytes option changes the order of bytes extracted from the CD-ROM. If the files sound badly distorted or like a loud hiss, check this box and save the tracks again. This option should not be necessary if your CD drive is working correctly.
  • To open each track file automatically after it is read, check the Open track files for editing box.
  • Use the Prefix track number in title setting to include track numbers in the titles when downloading information.
  • Select a single track from the list and use the Rename button (or Alt+R) to manually rename it. Use the Save Titles button (the one with the diskette icon) to save titles and disc information on the hard drive.

See the GoldWave Manual for more information about the settings under the Options tab.

Notes

  • If your system has multiple CD-ROM or DVD drives, then you may need to select a different CD device depending on what drive the CD is in.
  • If you change the CD, you must reselect the CD device to update the track list and use the Get Titles button again (if the track names do not appear).
  • A fast CD-ROM or DVD drive is required for previewing under the Read Time Range tab. You may have to increase the Read speed or the Number of sectors per read setting under the Options tab to get smooth playback.
  • For defect free reading, the Number of sectors to overlap setting should be 2 or greater.
  • If you cannot download titles, your computer may be using a proxy server. Set the proxy server name and port under the Options tab (servername:port). Contact your network administrator for assistance. Also adjust network firewalls to allow GoldWave to make a HTTP connection.

Troubleshooting Read Errors

  • Make sure that the CD is free of dust and finger prints.
  • Try increasing Number of sectors per read and decreasing Read speed under the Options tab.
  • Try setting Number of sectors to overlap value to zero on the Options tab. This should be a last resort since it will not give defect free reading.


Control

Menu Command: Tool | Control

The Control window provides easy access to audio devices. Before playing or recording a sound, you should use the [image] (properties) button to make sure that the correct playback and recording devices have been selected. Many device related features can be configured through the Control Properties window. To save screen space or enlarge the visuals, you can resize the Control window. Use the Window Menu Commands to change the layout and position of the Control window.

Right-clicking some of the controls (buttons, faders, and visuals) displays a context menu for settings.

Playback Controls
The [image] (green play) and the [image] (yellow play) buttons can be configured to loop or play different parts of the sound. You can pause playback with the [image] (pause) button and stop playback with the [image] (stop) button. For more information, see Playback.

The [image] (rewind) and [image] (fast forward) buttons move quickly through the file. The default speed for these buttons can be configured in the Control Properties window.

Recording Controls
The [image] (record) button starts recording. Use the [image] (stop record) button to stop recording. The [image] (record pause) button pauses recording. This button appears only during recording in place of the record button. For more detailed information, see Recording.

Other Controls
The playback volume and balance can be set using the [image] (volume) and [image] (balance) faders. The playback speed can be controlled with the [image] (speed) fader. Right-click on the balance and speed faders to display a context menu of common settings.

Note these controls affect only the playback device. To change the volume, balance (pan), or speed within a file itself, use the corresponding command in the Effect menu. To change recording volumes, see Recording or use the Windows Volume Control accessory to change the device volume levels. Details are also given on the GoldWave website.

See Also
Editing Overview
Main Window, Control Window, and Sound Windows
Control Properties
Tool Menu Commands


Cue Points

Menu Command: Tool | Cue Points

Use Cue Points to mark and describe specific positions within audio files.

Cue points can be set by using the Cue Points tool, by right-clicking on the cue point slot in a Sound window, by using the Edit | Cue Point menu, or by pressing Ctrl+Q when playing a sound. Cue points are saved automatically only in some files types, such as Wave (*.wav), Apple (*.aiff), and Extended (*.xac) files, but they can be exported manually to a separate cue file.

Click on a column header to sort cue points by number, position, or name.

Select a cue and use the F4 key start playback at that cue. Press F8 to stop playback.

There are several ways to create a new cue point:

  • Use the New button on the Cue Points tool window, then enter the name and position.
  • Right-click on the cue points slot in the Sound window and choose New Cue, then enter the name. The position is already set based on the mouse position.
  • Play the file and press Ctrl+Q or use Edit | Cue Point | Drop Cue to set a cue point at the current playback position. This also works while recording.

To edit an existing cue point, do one of the following:

  • Select the cue point from the list in the Cue Points tool window and choose the Edit button.
  • Right-click on the cue point in the Sound window and choose Edit Cue.
  • To change a cue point's position, drag-and-drop it to the new position in the Sound window.

To delete a cue point, do one of the following:

  • Select the cue point from the list in the Cue Points tool window and choose the Delete button.
  • Right-click on the cue point in the Sound window and choose Delete Cue.

The Delete All button removes all cue points in the file. Use this button before using the Auto Cue button if you want to remove all existing cue points before automatically generating new ones.

The Copy All button copies all the cue point information to the clipboard in text format. You can then paste it into a text editor, such as the Windows Notepad accessory.

The Split File button divides the file onto smaller files using the cue points as split points. If you've recorded one side of an album and need to divide it into individual songs, for example, you would set a cue point at the start of each song, then use this feature to automatically create separate files for each song. Each file can then be written to a CD-R disc as a separate audio track using CD Recorder software.

The Auto Cue button either searches the file for areas of silence and inserts a cue point or it sets a cue point at specific intervals. This is helpful for splitting a long recording into individual songs where there is silence between each song or for dividing a file into equal size section.

Import and Export buttons are located in the lower right corner of the Cue Points tool window. The Import button reads cue points from a CD cue file. The Export button saves all cues points to a CD cue file. The name of the current sound file is used to name the cue file by default. For example, if the file you are working on is music.wav, then the cue file is music.cue. See Options | Storage for a setting to use cue files automatically.

Note that when editing or applying effects to one channel of a stereo sound, cue points may not be adjusted to account for changes in the audio. Set cue points only after using effects when possible.

See Also
Edit | Cue Point
Options | Storage


Effect Chain Editor

Menu Command: Tool | Effect Chain Editor

The Effect Chain Editor allows a number of effects to be chained together so they are all processed at once. There are many advantages to using chains, such as:

  • Easier automation and less work. You can apply many effects with just a few mouse clicks.
  • Less storage requirements. Extra temporary storage is not required for each effect in the chain.
  • Faster and more efficient processing. Audio data is read from storage, processed, then written to temporary storage only once for the entire chain rather than for each effect.
  • Create new effects. Chaining effects is a way of creating new effects.
  • Advanced previewing. Preview how a series of effects will sound without ever having to process the entire file.

The left window is a tree list showing all the effect plug-in modules, with the GoldWave branch expanded initially. Only effects that can be chained are listed. Effects requiring special access to the audio data or ones that are time based cannot be chained.

You can drag-and-drop effects to the right "chain list" window or select an effect and choose the Add button. Effects are always added to the end of the chain list. Expand the branch of other listed modules to use effects in those plug-ins.

Use the Remove Last button to remove an effect from the chain list. Note that only the last effect in the list can be removed. An effect in the middle of the list cannot be removed unless all effects below it are removed first. Use the Remove All button to remove all effects in the chain list.

When an effect is added to the chain list, it appears as a button. Use that button to change settings for that effect. Settings can be changed while previewing the audio.

When you have finished creating the chain, use the presets controls in the Chains box near the bottom of the Effect Chain Editor window to save the entire chain as a single preset.

See Also
Using Presets


Expression Evaluator

Menu Command: Tool | Expression Evaluator

The Expression Evaluator is a versatile tool for manipulating and generating audio data. Expressions can be entered using the keyboard or by selecting an expression from the Presets tree list. For more detailed information, refer to the GoldWave Manual.

For example, to generate a simple tone (a sine wave), the mathematical equation is:
  y = sin(2πft) where f is the frequency, t is the time and π = 3.14159...

To generate this function in the current sound:

  1. Choose Expression Evaluator from the Tool menu
  2. Type in the expression in the large Expression edit box:
      sin(2*pi*f*t)
  3. Enter the desired frequency in the f edit box (500Hz, for example):
      500
  4. Choose the OK button. Processing will begin.

Evaluation can be stopped at any time with the Cancel button.

Use the play button to preview the expression before evaluation. If playback sounds rough or distorted, increase the playback prebuffer/latency setting under the Device Properties to allow extra time for processing.

You can use the Expression Evaluator to implement new effects.

To create a tremolo effect:

  1. Choose Expression Evaluator from the Tool menu
  2. Type in the following expression:
      wave(n)*(0.6+0.4*sin(2*pi*f*t))
  3. Enter the tremolo rate in the "f" edit box (4 per second, for example):
      4
  4. Choose the OK button.

You can alter the depth of tremolo by changing the values 0.6 and 0.4 to 0.8 and 0.2, for example.


File Merger

Menu Command: Tool | File Merger

Use the File Merger tool to join together separate files into a single file. Add files to the list by using the Add Files button. More than one file can be added at a time by selecting multple files. Files can be added via drag-and-drop or copy-and-paste from Windows Explorer as well (use Ctrl+V to paste). Remove a file by selecting it and choosing the Remove button. The Remove All button removes all files from the list.

Files are joined in the order they are listed. Drag-and-drop files within the list to change their order or click on a column header to sort by name or file date.

Set the Preferred sampling rate for the merged file. This rate is used only if a rate is not specified in the attributes selected after you choose the Merge button. Many attributes have a predefined rate. The preferred rate will be ignored for those attributes.

As each file is merged, a cue point is added at the junction point. Check the Export cue file box to export these cue points to a separate Cue File.

Choose the Merge button to specify a filename, a file type, and attributes for the merged file. Merge processing begins immediately after you choose the Save button.

See Also
Split File
Cue Points


Options Menu Commands

Colour
Presents the window for configuring the colour scheme of Sound windows.

Control Properties
Presents the Control Properties window where playback and recording settings can be changed.

File Formats
Presents a window where you can associate a file extension to an audio format, set file format plug-in precedence, or set the default save format.

Plug-in
Displays a menu listing any configuration options for effect, file, and visual plug-ins used by GoldWave (such as DirectX audio plug-ins).

Storage
Presents the window for configuring storage and undo related features.

Tool Bar
Presents the window for configuring the tool bars.

Window
Presents the window for configuring Main and Sound window features and zoom levels.


Colour Options

Menu Command: Options | Colour

Use Colour Options to set the colours for Sound windows. A preview window shows the current colour scheme. Use the Item drop down list and the Colour button to change the colours or select a different scheme from the preset Schemes.

Click the mouse in the preview window to select items.

See Also
Using Presets
Window Options


Control Properties

Menu Command: Options | Control Properties or [image] (properties) button on Control window

Use Control Properties to configure the playback and recording features, the real-time visuals, and the recording and playback devices:

Play Properties
Record Properties
Volume Properties
Visual Properties
Device Properties
Test Properties

See Also
Control
Playing Sound
Recording Sound


File Format Options

Menu Command: Options | File Formats

Use File Format Options to:

  • Associate a filename extension (such as .snd or .vox) with an audio type and attributes.
  • Change the precedence or enable and disable file format plug-ins used by GoldWave.
  • Set a default format for saving files.
Undetectable Types Tab
Use this feature to associate a filename extension with an audio type and attributes. This is useful for automatically opening files that do not contain any information describing their format (raw files). For example, if you work with Dialogic files, you can associate the .vox extension with a specific plug-in type. In this case, you'd use the Dialogic type, usually with "ADPCM 4 bit, 8000Hz, 32 kbps, mono" attributes. Whenever you open a .vox file, GoldWave will assume that format without asking you to specify a format.

The list shows all current associations, if any. Use the Add button to create an association. Use the Edit button to modify an association. Use the Remove button to remove an association.

File Plug-in Precedence Tab
Use this feature to change the order that audio files are passed to plug-ins for opening, or to enable and disable plug-ins. By default all plug-ins found in the File plug-in folder are listed and enabled, with the built-in GoldWave plug-in listed first.

Select an item in the list and use the Lower and Higher buttons to change the order. The plug-in at the top of the list is the first one to be given the opportunity to open a file, if it recognizes the format. Otherwise, the file is passed to the next plug-in and so on until the file can be opened or no plug-ins are left. See File Format Plug-ins for more information. Check or uncheck an item to enable or disable that plug-in module.

Default Save Format Tab
Use this feature to set a default save format for new files when using the File | Save command. The same format can be used for all "save" related commands if you check the Use this format for... box. Use the Save as type drop down list to select the type first, then use the Attributes drop down list to select appropriate attributes. Whenever you create and save a file, this format will be selected by default. Note that when creating a new file, you can select attributes (sampling rate and number of channels) that differ from the default save format. Be sure to select appropriate attributes to avoid conversions later when saving.

The "Do not allow other file types..." option disables the file type and attributes boxes under "save" related commands to prevent them from being changed. It forces the use of the default format.


Plug-in Options

Menu Command: Options | Plug-in

The Options | Plug-in menu displays submenus containing lists of configuration commands for all plug-ins currently used by GoldWave. Refer to the plug-in's documentation for more information.


Storage Options

Menu Command: Options | Storage

Use Storage Options to choose file and storage folders and set undo levels.

Sound Folder
Specifies the folder to use when you start GoldWave. The File | Open command uses this folder initially.

Temporary Storage
Specifies Hard Drive or RAM storage. When using hard drive storage, you can specify the folder to use when creating temporary files. This folder should be located on a large, local hard drive with plenty of free space. Changing this folder does not affect opened files already in temporary storage. Use RAM storage only when working with small files.

Undo levels specifies the number of times you can undo changes. A value of 5 means you can undo the five most recent changes performed on the file. A value of 0 means that you cannot undo any changes. Larger values use much more storage to store the previous audio data. When using the RAM storage option, this should be set to a small value. Otherwise RAM will be depleted quickly and system performance will degrade.

Cue Points Storage
Use the Automatically import and export separate cue file setting to automatically save or load cue points from a separate cue file when saving or opening a sound file. If you open a file named music.mp3 cue points will be imported from a music.cue file, if it exists. If you save a file named music.mp3, cue points are saved in a music.cue file. Warning: any existing file with that name will be overwritten! Cue files are not saved automatically for .wav, .wma, or other file types that store cue points. Use the Cue Points tool to save the cue file manually.


Tool Bar Options

Menu Command: Options | Tool Bar

Tool Bar Options configure the Main, Effect, and Control tool bars. Select an item and use the Add and Remove buttons or drag-and-drop items between the Available and Current lists to control the layout of the tool bars.

Use the Visible checkbox to show or hide the entire tool bar. Use the Gray-scale checkbox to convert the coloured images to blank-and-white. Use the Captions checkbox to display text within the Main tool bar buttons. Use the Tool bar images in menu checkbox to display images in GoldWave's main menu. Do not check this option if screen reader accessibility is required.

You can drag-and-drop the tool bars themselves within GoldWave's Main window to change their locations. Click on the vertical bumps near the left edge of the tool bar to drag it.


Window Options

Menu Command: Options | Window

Use Window Options to configure the positions of windows, specify the zoom value for View | Preset, set the axes for Sound windows, and other settings.

Main window size
Controls the startup position of the Main window. Choosing Normal lets Windows determine the size and position. Maximize makes the Main window occupy the entire screen. Save position saves the Main window's position and size when GoldWave is closed so that it will appear in the same location next time.

Sound window size
Controls the position and size of Sound windows. The Normal option lets Windows determine the size and position. Maximize makes a Sound window occupy the entire Main window. Auto-tile resizes all Sound windows whenever a new sound is opened or closed so all will be visible.

Y amplitude axis numbering
Sets the units of the vertical axis in Sound windows. Selecting Off hides the axis completely. Normalized shows an axis with a range of -1.0 to 1.0. Signed 16 bit shows an axis ranging from -32768 to 32767, which is the range of 16 bit audio. Unsigned 8 bit shows an axis with a range of 0 to 255.

X time axis numbering
Sets the format for displaying the horizontal time axis in Sound windows. Hours : minutes : seconds gives the time as three sets of numbers separated by colons, such as 12:23:56. Minutes : seconds gives the time as two sets of numbers separated by colons, such as 1234:56. Seconds gives the time as a floating point number, such as 1234.56.

Zoom
The Preset zoom value is used to for the View | Preset command. See View | Specify for more information. Initial zoom specifies the zoom level to use when a file is opened. If you choose All, then the entire waveform is shown using whatever zoom level is required.

Miscellaneous
If the Always confirm before saving option is checked, you will be asked to confirm saving whenever you use the File | Save command or Save tool bar button. If the Draw overview graph option is checked, then the overview is graphed based on audio from the file. Otherwise it is drawn as simple lines, which is quicker since the file does not have to be scanned. If the Use left and right mouse button selection method option is checked, then the start marker is set by using the left mouse button and the finish marker is set by using the right mouse button. No context menu appears. This is the way older versions of GoldWave worked. If the Update default effect settings after each use option is checked, then effect settings are stored after each use so that the same settings appear the next time the effect is used. If Hide persistent playback cursor is checked, then the playback cursor is not shown after playback stops and is not shown for keyboard Navigation.

See Also
View Menu Commands


Window Menu Commands

Cascade
Layers Sound windows on top of each other so that their title bars are visible.

Tile Horizontally
Arranges Sound windows above and below each other (or side by side if necessary) so that all windows are visible.

Tile Vertically
Arranges Sound windows side by side (or above and below each other if necessary) so that all windows are visible.

Minimize All
Minimizes all Sound windows so only a small title bar is shown.

Arrange All
Arranges all minimized title bars along the bottom of the Main window.

Classic Control
Places the Control window in the bottom right corner of the screen and arranges the controls and visuals in a layout similar to previous versions of GoldWave. The Control window can be resized in any direction.

Horizontal Control
Places the Control window along the bottom of the Main window and arranges the controls and visuals horizontally. Makes the visuals small. The Control window cannot be resized vertically in this mode.

Vertical Control
Places the Control window along the right side of the Main window and arranges the controls and visuals vertically. Makes the visuals large. The Control window can be resized in any direction.

Window List
A list of all files currently opened is added to the bottom of the Window menu. Select a file to make it the active one for editing and effects.


Keyboard Commands

In addition to all the standard menu keystrokes, such as Alt+F O to open a file, Alt+E C to copy, Alt+E P to paste, etc., GoldWave includes a number of additional quick keystrokes or shortcuts. These are summarized in the following table. Use Options | Keyboard to reassign shortcuts.

Keystroke | Action
Ctrl+A | Selects the entire sound.
Ctrl+B | Pastes the clipboard into the sound at the beginning.
Ctrl+C | Copies the selection into the clipboard.
Ctrl+D | Displays the Crossfade window. Crossfades the clipboard with the selection.
Ctrl+E | Pastes the clipboard into the sound at the end.
Ctrl+F | Pastes the clipboard into the sound at the finish marker's position.
Ctrl+G | Displays the Set Cursor Location window.
H | Starts playback relative to the mouse's horizontal position in the waveform.
J, K, L | Rewinds, plays, and fast forwards respectively from the current cursor's position.
Shift+J, Shift+K, Shift+L | Makes the playback speed slower, normal, and faster respectively.
Ctrl+J | Jumps the start marker to the next cue point.
Ctrl+Shift+J | Jumps the start marker to the previous cue point.
Alt+J | Jumps the finish marker to the next cue point.
Alt+Shift+J | Jumps the finish marker to the previous cue point.
Ctrl+K | Overwrites the selection with the clipboard.
Ctrl+M or Shift+Ctrl+Ins | Displays the Mix window. Mixes the clipboard with the sound at the start marker's position.
Ctrl+N | Creates a new sound.
Ctrl+O | Opens a sound.
Ctrl+P | Pastes the clipboard into a new Sound window.
Q | Drops a new cue point at the start marker position. Cue naming is controlled by the Auto Cue settings under the Cue Points tool.
Shift+Q | Drops a new cue point at the finish marker position. Cue naming is controlled by the Auto Cue settings under the Cue Points tool.
Ctrl+Q | Drops a new cue point at the current recording, playback, or start marker position. Cue naming is controlled by the Auto Cue settings under the Cue Points tool.
Ctrl+Shift+Q | Drops a new cue point at the current recording, playback, or start marker position and displays the edit window.
Ctrl+R | Replaces the selection with the clipboard contents.
Ctrl+S | Saves the file.
Ctrl+T | Trims the sound. Removes all audio outside the selection.
Ctrl+U | Displays the AutoTrim window. Removes silences within the ends of the selection.
Ctrl+V | Pastes the clipboard into the sound at the start marker's position.
Ctrl+W | Sets the selection to the view (as in Select View).
Ctrl+X | Cuts the selection and copies it into the clipboard.
Ctrl+Y | Redo. Reverses last undo.
Ctrl+Z | Undoes last change.
Ctrl+Shift+B | Selects both channels of a stereo file.
Ctrl+Shift+L | Selects the left channel of a stereo file.
Ctrl+Shift+R | Select the right channel of a stereo file.
Shift+0 | Zooms 10:1 horizontally.
Shift+1 | Zooms 1:1 horizontally.
Shift+2 | Views 1 second horizontally.
Shift+3 | Views 10 seconds horizontally.
Shift+4 | Views 1 minute horizontally.
Shift+2 | Views 1 hour horizontally.
Shift+A | Horizontally zooms all the way out.
Shift+E | Displays the Set Marker window.
Shift+M | Stores the locations of the start and finish markers.
Shift+P | Zooms to previous horizontal zoom.
Shift+R | Moves the start and finish markers to the stored locations.
Shift+S | Horizontally zooms in on the selection.
Shift+U | Horizontally zooms to the user defined level.
Shift+V | Vertically zooms all the way out.
Shift+Y | Displays window to specify horizontal zoom.
Del | Deletes the selection, permanently.
[ (left bracket) | Drops the start marker at the current playback position.
] (right bracket) | Drops the finish marker at the current playback position.
Shift+[ | Plays three seconds of audio up to the start marker.
Shift+] | Plays three seconds of audio up to the finish marker.
Ctrl+[ | Plays from the start marker to the finish marker.
Ctrl+] | Plays from the finish marker to the end.
Shift+\ | Moves the start and finish selection markers to their previous positions.
Left | Scrolls the Sound window view left.
Right | Scrolls the Sound window view right.
Page Up | Scrolls the Sound window view left one page. The amount of time scrolled depends on the current view zoom level. If you used the green playback button in View mode to play the file, playback is restarted at the new scrolled position.
Page Down | Scrolls the Sound window view right one page. See the Page Up key for more details.
Home | Moves the Sound window view to the start marker's position.
End | Moves the Sound window view to the finish marker's position.
Ctrl+Home | Moves the Sound window view to the beginning of the sound.
Ctrl+End | Moves the Sound window view to the end of the sound.
Shift+Home | Moves the start marker to the beginning of the sound.
Shift+End | Moves the start marker to the finish marker's position.
Ctrl+Shift+Home | Moves the finish marker to the start marker's position.
Ctrl+Shift+End | Moves the finish marker to the end of the sound.
Shift+Left, Shift+Right | Moves (nudges) the start marker left or right.
Ctrl+Shift+Left, Ctrl+Shift+Right | Moves the finish marker left or right.
Shift+Up | Horizontally zooms in.
Shift+Down | Horizontally zooms out.
Ctrl+Up | Vertically zooms in.
Ctrl+Down | Vertically zooms out.
Space | Plays or tops a sound (toggles playback).
F4, F5, F6, F7, F8 | Plays, rewinds, fast forwards, pauses, and stops respectively.
Shift+F4 | Plays the sound with the yellow play button settings.
Ctrl+F9, Ctrl+F8, Ctrl+F7 | Starts, stops, and pauses recording respectively.
F11 | Displays Control Properties window.
F1 | Starts help.
Ctrl+F4 | Closes the Sound window.
Alt+F6 | Switches between Main window and Control window.
Ctrl+F6 | Switches between Sound windows.


Playing Sounds

To play a sound:

  1. Choose Open from the File menu.
  2. Find and select the sound you want to play.
  3. Choose the Open button. A Sound window is shown.
  4. Choose the [image] (green play) button on the Control window.

If you do not hear anything:

  • Make sure the speakers are turned on.
  • Make sure the speakers or headphones are connected to the correct socket (green).
  • Make sure the Windows volume is not muted (click the speaker icon in the right corner of Windows Start bar).
  • Make sure you see activity on the level meters and visuals in GoldWave. If not and the elapsed time is counting up, the sound contains silence.
  • Try selecting a different playback device.

To play part of a sound:

  1. Open the sound, as above.
  2. Select the part of the sound you want to play. See Editing Overview for details.
  3. Press the Home key to move the playback cursor to the start marker (or make sure the green play button is configured to play the selection)
  4. Choose the [image] (green play) button on the Control window.
To quickly select the entire sound again, use Edit | Select All.

To start playback at any point in the sound, click on the time line under the waveform in the Sound window or right-click on the waveform and choose the Play From Here command from the popup menu. You can right-click-and-drag to select a part of the sound to play as well.

To loop part of a sound:

  1. Open the sound, as above.
  2. Select the part of the sound you want to loop. See Editing Overview for details.
  3. Choose the [image] (properties) button on the Control window, then choose the Play tab.
  4. In the Yellow play group, choose the Selection option, check the Loop box, set the number of loops, and choose OK.
  5. Choose the [image] (yellow play) button on the Control window.

The green and yellow play buttons can be configured to play different sections of the sound. Right-click on the button to display a context menu.

See Also
Editing Overview
Control Properties
Control
Recording


Recording Sounds

To record a sound:

  1. Choose New from the File menu.
  2. Choose attributes (or choose a Preset quality settings item) and specify the length of time you want to record, then choose OK.
  3. Select the correct recording source, as described below, such as line-in, microphone, or CD audio.
  4. Choose the [image] (record) button on the Control window.

Make sure you see activity on the L and R level meters while recording. The source volume should be adjusted so that it peaks in the red area, but not all the way. If there is no activity or the level is very low, change the source and/or volume or select a different recording device, explained below.

To record within an existing sound, you can select the part of the sound you want to record over or use the Edit | Insert Silence command to make room for recording.

Note that there are several options available for recording under the Record tab in the Control Properties window, including a countdown timer and level activated recording. See the Control Properties for more information.

Check the Monitor input recording option box to see the input levels on the visuals before starting recording and adjust the volume as needed.

To select a different recording source, such as the line-in, microphone, or CD audio, use one of the following methods:

Method 1: Use Control Properties Volume

  1. Select the [image] (properties) button.
  2. Choose the Volume tab.
  3. Check the appropriate Select box and adjust the volume.
  4. If the device supports a master recording control, make sure the Mute all box is not checked and that the master volume is not zero.

Method 2: Use the Volume Control Accessory

  1. Start the Volume Control accessory from the Windows Start menu or double-click the speaker icon in the Windows Start bar tray.
  2. Select Properties from the Volume Control Options menu.
  3. In the Properties window, select the Recording option.
  4. Make sure that all the needed sources are checked in the checklist.
  5. Choose OK. You will now see the recording volume controls.
  6. Choose the source you want by checking the appropriate Select check box and make sure the volume is not too low.

Method 3 (Vista): Change the Recording Device

  1. Select the [image] (properties) button.
  2. Choose the Device tab.
  3. Select the appropriate recording device from the drop down list. If the required device is not listed, connect all cables first and restart GoldWave. In Vista, some devices are not listed until a connection is made. Some sources (Wave, Stereo Mix, What You Hear) are unsupported or disabled in Vista.

See Also
Editing Overview
Control Properties
Control
Playback


CD Burning

GoldWave does not include CD burning functionality. Use separate CD Recording software such as Roxio, Nero, CDRWIN, or the Burn feature in Windows Media Player. Many CD Recording programs can write any type of audio file, but some require a certain file type and format. Standard audio CDs contain PCM signed 16 bit, stereo audio at a sampling rate of 44100Hz. To save a file in that format in GoldWave, first use the Effect | Resample command to set the rate to 44100Hz, then use File | Save As to choose the Wave type and select the PCM signed 16 bit, stereo attributes.

To divide a long file into separate tracks, split it into smaller files by using the Cue Points tool and the Split File button, then write each of those files as a separate audio track on the CD. See the GoldWave Manual for the steps to follow to split a file. Also refer to the documentation of the CD Recording software for more information about writing audio tracks.

See Also
File | Save As
Effect | Resample
Cue Points


Split File

Menu Command: Edit | Cue Point | Split File or Split File button on Cue Points tool window

Use the Split File feature to divide a large file into smaller files. The file is split at each cue point. Files are stored in the Destination folder. The Overwrite existing files option automatically replaces files with the same name that already exist on the hard disk. If the option is not checked, the GoldWave will abort splitting if a file with the same name is found.

If the Use cue name for filename option is selected, files will be named using cue point names. Note that any invalid symbols in the name (such as :, ?, *, etc.) are replaced with spaces.

If the Use cue base filename and number option is selected, the Base filename is used together with the number symbol, #, to create the name of each file. If you enter "Track##", for example, the files would be named Track01, Track02, Track03, etc. The # symbol can be placed anywhere in the base filename, so names like "#### - CD1" or "#Track##" would be valid. The least significant digit is placed in the right-most # slot, so the first names would be "0001 - CD1" and "0Track01".

If the Use cue name prefixed with base filename and number option is selected, a combination of the above options is used. The base filename and number will be added to the beginning of the cue name.

If the Prefix original filename option is checked, then the name of the file being split is added to the beginning of each of the split filenames. This option is not enabled if the file does not have a name (untitled).

The First number box sets the first number to use when creating the names.

The File format options specify what format and attributes to use when creating the files. The Use CD compatible wave format and alignment option ensures that each file is stored in CD compatible format and that the length of each file is exactly aligned to a CD sector boundry, eliminating gaps between files. This helps you create seemless tracks on a CD, provided you configure your CD-R software to not write silence between tracks. Note that if the end of the last track file does not contain enough audio to perfectly fill a CD sector, a tiny section of audio may be discarded for alignent. The Use default save format and attributes option uses the format given under the Default Save Format tab of the Options | File Formats window. The Use file's current format and attributes option uses the format and attributes of the file being split as shown in GoldWave's status bar.

Any information entered under the File | Information command is stored in each split file, if possible. If the track number is set to "##", GoldWave replaces it with a sequential number based on the order in which the files are split.

See Also
Cue Points
File Merger
Auto Cue


Add Edit

Location: Add Edit button on Process tab of Batch Processing window.

Use this window to add an edit command to the Batch Processing process list. Supported commands are given in the Edit command drop down listbox. When you select a command, additional settings may appear below the listbox. Many commands do not have any additional settings.

To add edits and/or change the selection:

  1. Select the edit command from the Edit command drop down list.
  2. Enter settings, if any.
  3. Choose the Add button.
  4. Repeat the above steps to add more edits.
  5. Choose Close to close the window.

When changing the selection, use the Quick settings drop down list to quickly set a commonly used selection.

See Also
Editing Overview
Edit Menu Commands


Add Effect

Location: Add Effect button on Process tab of Batch Processing window.

Use this window to add an effect to the Batch Processing process list. The tree list shows all plug-in modules, with the GoldWave branch expanded initially.

To add GoldWave effects:

  1. Select and expand the an effect branch under the GoldWave* branch to reveal all presets available for that effect.
  2. Select one of the presets.
  3. Choose the Add button.
  4. Repeat the above steps to add more effects.
  5. Choose Close to close the window.

To select an effect from a different plug-in module, scroll down the list and select the module name to expand its branch.

If you need to use effect settings that are not available in any of the current presets, you'll need to open a file and use the effect to create a new preset with the settings you need.

If you want to use the effect only on part of the file, add an edit command to set the selection first.

See Also
Editing Overview
Edit Menu Commands
Using Presets
Effect Menu Commands


Add Folder

Location: Add Folder button on main Batch Processing window.

Use this window to add an entire folder or file type to the Batch Processing file/folder list.

Enter the folder path in the Folder box or use the folder button to browse for a folder.

Specify the file type in the Type filter box. To add all files in the folder, select the *.* item from the drop down list. To add Wave files only, select the *.wav item. To add MP3 files, select *.mp3. Other unlisted items can be entered manually, such as *.abc.

Use the Include all subfolders checkbox to include all subfolders within the given folder. The entire tree of subfolders will be added to the list for processing. Use the Preserve subfolder structure checkbox on the Folder tab of the Batch Processing window to maintain the relative subfolder structure when storing processed files.


Save CD Tracks

Location: Save button on CD Reader window.

Use this window to set the destination folder, name, and format for all tracks read from the CD.

Destination folder specifies the location to store the tracks. Type in a folder name or use the folder button to browse for a folder.

The name of each track is the same as the name shown in the track list of the CD Reader window. If you've download track names from a database, then the Replacement character is used to replace any special characters, such as \, /, or : with safe characters so the files can be created properly.

Use the Save as type and the Attributes drop down lists to specify the format to use for the tracks. You can select one of many popular compressed formats, such as MP3, OGG, or WMA, to save hard drive space.

To overwrite any files with the same track name, check the Overwrite existing files box.


Checking for Updates

If the Automatically check for updates box is checked on the Help | About window or the Options | Register window, GoldWave checks the website about once a month for updates.

This setting is available to licensed users only. GoldWave sends your user ID and current version number to the website and the website provides information about the latest version. If a new version is available, a message appears giving you the option of downloading the new version from the website. Internet firewalls may need to be adjusted to allow GoldWave to make a HTTP connection to the website. This feature does not work if your Internet connection uses a proxy server.


Command Line Parameters

Parameter | Purpose
filename ... | Specifies a file (or files) to open.
-play | Plays the file given on the command line.
-close | Automatically closes GoldWave when playback or recording stops. Use with -play or -record.
-new | Automatically creates a new file using the settings under File | New.
-record | Automatically starts recording. Use with -new or with a filename.
-nosplash | Does not show the startup splash screen.
-process -proclog | Starts GoldWave in batch processing mode. See the GoldWave Manual for information about using batch processing from the command line.
-clipboard:filename | Copies the specified file to the clipboard for batch processing. Use with -process.
-region:start,length | Sets the initial selection for the first audio file given on the command line. start is the starting point in samples. length is the number of samples to select. If either start or length contain a decimal point, then both values are assumed to be units of time rather samples.
-same | Opens the file in the currently running session of GoldWave rather than starting a new session.
-config | Starts GoldWave and displays the Setup Options window.

See Also
Batch Processing
GoldWave Manual


Control Device Properties

Location: Device tab in Options | Control Properties or [image] (properties) button on Control window

Use Control Device Properties to select and configure recording and playback devices.

Playback and Record areas show the currently selected playback and recording devices. If more than one device is installed, you can select a different device from the drop down list. You can change playback and recording quality by selecting different bit depths from the Quality lists. Use PCM 16 bit quality unless your sound card supports higher bit depths.

The Playback area has additional settings for latency and initialization. Prebuffer/latency controls the amount of audio stored before sending it to the device. Using a higher value may eliminate gaps and stutters on a slow system, but it increases the delay between changing effect settings and hearing those changes during previewing. Using lower values makes effect previewing more responsive, but may cause gaps and stutters if the system is too slow to process all the audio or emulated DirectX drivers are used. This setting does not apply to recording. Alternative playback initialization solves problems with certain drivers and plug-ins. Use this option if the GoldWave freezes when previewing a DirectX Audio Plug-in effect or if playback does not start properly in general.

The Mono source setting in the Record area determines the input channel used when recording a mono file: Left channel captures audio on the left channel only; Right channel captures audio on the right channel only; Average captures audio on both channels and averages it.

Joystick control allows playback and recording to be controlled using a game controller or a foot pedal. The first controller detected is used. There are several modes of operation:

  • None
    Joystick control is disabled.
  • Game controller
    The main directional pad controls playback. Left is rewind, right is fast forward, down is pause, and up unpauses. The first button (button 1 or A) starts or stops playback. The second button (button 2 or B) starts or stops recording.
  • Foot pedal, hold
    A three switch pedal controls playback, rewind, and fast forward. The pedal must be held down. Playback pauses when the pedal is released.
  • Foot pedal, toggle
    A three switch pedal controls playback, rewind, and fast forward. Tapping the pedal starts or pauses playback.

Use the Configure button to configure foot pedal controls. Different brands of foot pedals use different switch combinations. After choosing the Configure button, hold down each pedal for two seconds starting with the play pedal, then the rewind pedal, and finally the fast forward pedal. If a rewind or fast forward pedal is not available, wait for five seconds and that pedal will be skipped. The OK button becomes enabled when all pedals are assigned or skipped.

See Also
Control
Control Properties
File Format Options, Default Save Format Tab


Control Play Properties

Location: Play tab in Options | Control Properties or [image] (properties) button on Control window

Use the Control Play Properties to configure the green and yellow play buttons and set the speed of the fast forward and rewind buttons.

Green/Yellow play button
All
Plays entire sound.

Selection

Plays region between start and finish markers. See Editing Overview.

Unselected

Plays regions outside the start and finish markers. This lets you quickly test how a cut or delete will sound without actually changing the sound. When possible, playback is confined to the region shown in the Sound window graph so that the entire file does not have to be played.

Cursor

Continues playback from the current cursor's position and stops at the finish marker if it is located after the cursor. Otherwise playback continues to the end of the file.

Cursor to end

Continues playback from the current cursor's position and stops at the end of the file.

View

Plays the part of the sound currently shown in the Sound window graph.

View to end

Start playback at the left side of the Sound window graph and continues playback to the end of the sound.

Finish

Plays three seconds just before the finish marker, so you can determine if the marker is in the right place without listening to the entire selection. Note you can right-click on the Sound window graph and choose the Play From Here command.

Intro/loop/end

This is a special playback feature that plays the sound in three sections. The beginning of the sound, to the right of the start marker, is played first. Then the selection is played and looped. Finally the end of the sound, to the left of the finish marker, is played. This is useful for musical accompaniment or looped instrument samples.

Loop

Specifies the number of times playback should be repeated. A value of 1 loops playback once, so the region is played twice. A zero value loops forever. Check or uncheck the box to enable or disable looping.
Fast/Rewind speed
Configures the speed of the fast forward and rewind buttons. By entering a value of 3.00 for Rewind speed, for example, the rewind button will play the sound backwards three times faster than regular playback speed. By entering small numbers (such as 0.1) the rewind and fast forward buttons will play slowly. This is useful for finding pops or clicks, since the visuals will move slowly through the data.
Marker preview
Marker preview (scrubbing) plays a very short section of audio whenever an edit marker is moved with the keyboard arrow keys. The value specifies the amount of time to play just after the start marker or just before the finish marker. Set the time to 0 to disable previewing.

See Also
Control
Control Properties
Playing Sound


Control Record Properties

Location: Record tab in Options | Control Properties or [image] (properties) button on Control window

Use Control Record Properties to configure recording features and options. To set recording volumes, choose the Volume tab.

Recording options
Monitor input
Connects the recording device to the visuals so you can adjust recording levels before recording. See Recording Sound for information about selecting a different recording source and setting volumes.

Ctrl key safety

Prevents you from accidentally recording over a sound. To record, you must hold down the Ctrl key. If you do not, a safety message appears.

Set finish marker at stop

Automatically moves the finish marker to the place where recording stopped.

Show settings window

Displays an information window whenever recording is started to show the current recording setup, such as the recording device, input source, settings, and duration.

Filter dc offset

Automatically filters a dc offset from the recorded audio. Use this option if you see a lot of activity on the low frequency bars and VU meters even when recording silence.

Auto save

Automatically saves the file when recording ends. The original file is overwitten and recording cannot be undone. Bounded recording mode (see below) must be selected. If recording is manually stopped, the file is not automatically saved. Use this option with the Timer option to save a recording after a scheduled event.

Power down system

Automatically turns off the computer after saving the recording. Use this option with the Auto save and Timer options to shutdown the computer after a scheduled recording. This option is available on Windows 2000/XP or later.
Recording mode
Bounded to selection
Recording is confined to the selection. Recording starts at the start marker's position and stops at the finish marker's position. If you stop the audio before the finish marker is reached, the remainder of the selection is filed with silence.

Bounded and looped

Recording is confined to the selection, as above, but recording never stops. When the finish marker is reached, recording continues from the start marker's position. Looping repeats until the stop button is pressed. This is useful for capturing quotes from a TV show without having to store the entire show. By loop recording a 1 minute sound, you will always have the last minute of audio stored for recall.

Unbounded

Recording starts at the start marker's position and continues until the stop button is pressed or until no more storage is available. The recording replaces the selection. If the recording is a different length than the selection, then any audio beyond the finish marker is moved. Any audio beyond the finish marker is not recorded over.
Delayed recording
Timer
Delays recording until the specified Time and Day. Use this feature to automatically record something at a later time. The time is given in 24 hour time. A time of 06:00:00 is 6:00 AM and a time of 18:00:00 is 6:00 PM. 00:30:00 is 12:30 AM or 30 minutes past midnight. If entering the time directly, remember to include the seconds. Entering 18:00 means 00:18:00. Important: You must press the record button to activate the timer.

Level activated

Automatically starts recording when the sound source is above a given level and pauses recording when the sound is below the level. Level activated recording is useful for automatically synchronizing recording to a sound source or efficiently capturing airport or police radio where there may be a lot of silence that does not need to be recorded. The Threshold specifies how loud a sound should be before recording begins. Normally, this value should be small (less than 0.2). The Duration specifies how long to continue recording after the sound becomes quiet again. Entering a zero value allows recording to continue without stopping (i.e. once activated, recording does not pause). The Prebuffer specifies the amount of audio to store prior to activation. When activation occurs, the prebuffer audio is inserted before the currently recorded audio, allowing you to hear the sound slightly before activation. The Time stamp cues option provides a way of marking the date, time, and position of each activation. Cue points with the current date and time are created and inserted in the file. Use the Cue Points tool to see the list of dates. Use the edit box to specify the format for the date. See the GoldWave Manual for details.

See Also
Control
Control Properties
Recording Sound


Control Test Properties

Location: Test tab in Options | Control Properties or [image] (properties) button on Control window

Use Control Test Properties to run tests on installed recording and playback devices. These tests can help locate problems with drivers, hardware, or current setup. Choose the Troubleshoot button to begin the tests.

See Also
Control Properties


Control Visual Properties

Location: Visual tab in Options | Control Properties or [image] (properties) button on Control window

Use Control Visual Properties to configure real-time visuals. GoldWave displays four visuals: a status visual just below the playback and recording buttons, a level visual just below the volume and speed faders, and two larger visuals for displaying left and right audio data. Some visuals are designed to work in any of the four locations, but most work in a specific location, such as the Time and Status visual. Use the Status visual, Level visual, Left visual and Right visual drop down lists to select visuals for the given location.

Use the Quick select menu list to select your favourite visuals. You can quickly display a favourite visual by right-clicking on any compatible visual location in the Control window, then choosing one of the visuals from the menu that appears.

Frame rate controls the number of frames per second to draw the visuals. A high value (above 60) requires a fast system, while a low value improves performance on slow systems.

FFT window contains several common window functions used for FFT frequency analysis to minimize artifacts caused by a finite analysis window. The default Kaiser 7 option usually works best.

Some visuals have properties you can change, such as axes ranges and display modes. To set a visual's properties (if any), close the Control Properties window, right-click on the visual in the Control window, then select Properties from the context menu that appears.

See Also
Control
Control Properties


Control Volume Properties

Location: Volume tab in Options | Control Properties or [image] (properties) button on Control window

Use Control Volume Properties to adjust recording volumes and select or unselect recording sources. Make sure the device given in the Volume device box matches the recording device under the Device tab.

A volume fader and checkbox are shown for each source. To select a source, check the appropriate checkbox. If your sound card supports a master control, make sure that the Mute all option is not checked and that the master volume is not zero.

You can use the Monitor input option under the Record tab to activate the real-time visuals without recording. With monitoring enabled, you can see the levels as you adjust the volume faders.

Note that volumes are changed regardless of whether you choose OK or Cancel to close the Control Properties window. Other audio software may change the volumes and sources as well.

To select a different recording device, use the Device tab.

See Also
Control Properties
Control Record Properties
Recording Sound


Auto Cue

Location: Auto Cue button on Cue Points tool window

Use the Auto Cue feature to automatically set cue points. If the Mark Silence button is selected, you can set options for detecting silence, such as marking quiet sections between songs. If the Spacing button is selected, you can set a fixed interval, such as placing cue points every 5 minutes.

The Split File button on the Cue Points tool window can be used later to split a file into individual pieces based on the cue points.

Existing cue points are not changed or removed. Use the Delete All button on the Cue Points tool window first if you do not want to use any of the existing cue points.

Mark Silence Button
A single cue is added in the center of each detected silent region.

The Threshold value sets the volume level for the silence. In most cases, like vinyl recordings, the value should be -40dB or higher so that any background hiss, pops, or clicks will be treated as silence. Otherwise no silence would be marked at all. If you find that no cue points appear, try increasing this value to -30dB or higher. If you find that too many points appear, delete them, then decrease this value or change the values below. Using the Noise Reduction or Pop/Click filter effect first may improve silence detection.

The Silence length value determines how much silence is required before it is marked. Some songs contain brief silences that you usually do not want marked. This value helps to avoid marking any brief pauses within a song. Try values between 1.0 to 1.5 seconds to ignore these brief silences and only mark longer silences between songs.

The Minimum separation between cues value defines the minimum amount of time between one cue point and the next. If you know all the songs are longer than 2 minutes, then you can set this value to 2:00 to ensure no silences within a song are marked. All cue points will be at least two minutes apart.

The Cue placement within area value specifies where to place the cue point within the detected silent area. A value of 0 means at the beginning, a value of 100 means at the end. By default, a value of 50 places the cue point in the center of the silence area.

Spacing Button
Cue points are added at the specific interval, starting at the given time.

The Start time value sets the time to begin marking the file. If you enter 1:00, then the first cue point is inserted at time 00:01:00 in the file. Normally this value would be zero.

The Interval value specifies the time interval to use between each cue point. A value of 5:00 would set cue points at five minute intervals (00:05:00, 00:10:00, 00:15:00, etc.).

The Cue naming options specify how cue points will be named as they are added. If Time based is selected, then the name of each cue point is set to its time position within the file. A cue point added at two minutes into the file, for example, will have the name 2:00.00000. If Numbered is selected, then each cue is sequentially numbered as they are added. The names will be 001, 002, 003, etc. The starting number depends on how many cue points are already in the file. If Lettered is selected, then each cue point is named alphabetically, with three letters, such as AAA, AAB, AAC, etc. The starting name depends on how many cue points are already in the file.

See Also
Cue Points
Noise Reduction
Pop/Click


Edit Cue Point

Location: New or Edit button on Cue Points tool

Use this window to set the Name, Position, and Description of a cue point. The Name is the tip text that will appear when the mouse is over the cue point in the Sound window. A name is required, so it cannot be left blank. The Position is the time placement for cue point within the file. The Description can be any text or can be left blank.

See Also
Editing Overview
Cue Points
Cue Points Menu
Marker Menu


CD Cue File

A CD Cue File (see Wikipedia entry) contains track information that some CD Recorder programs, such as CDRWIN and Nero, use when creating a table of contents for a CD. Creating a cue file may eliminate the need to split a large file into separate track files. You can open the cue file in Notepad to edit or view its contents.

Use the Import and Export buttons on the Cue Points tool to open or save cue files.


Bandpass/stop

Menu Command: Effect | Filter | Bandpass/stop

Bandpass filters block all frequencies outside the specified range, keeping only frequencies within the range.

Bandstop filters block all frequencies within the specified range, keeping all other frequencies outside the range.

Frequency range
The From and To boxes specify the frequency range of the filter. If the Dynamic option is selected, then a final frequency range can be given in the other From and To boxes.

Filter options
Select Bandpass if you want to keep only the frequencies within the range. Select Bandstop if you want to keep only the frequencies outside the range.

The remaining options are explained under the Low/Highpass effect.

See Also
Equalizer
Low/Highpass
Using Presets


Channel Mixer

Menu Command: Effect | Stereo | Channel Mixer

Use this effect to swap, mix, invert, or combine the left and right channels. Use the controls in the Left channel box to set the mixing volume percentages for the left channel. Use the controls in the Right channel box to set the mixing volume percentages for the right channel.

See Also
Reduce Vocals
Using Presets


Equalizer

Menu Command: Effect | Filter | Equalizer

The Equalizer, which is commonly found on stereo systems, boosts or reduces certain ranges of frequencies.

Center frequencies for each of the 7-bands are given at the top of each fader. The faders can be adjusted to boost or reduce a band by +12dB to -24dB. The Master fader sets the overall output volume.

See Also
Bandpass/stop
Low/Highpass
Using Presets


Noise Reduction

Menu Command: Effect | Filter | Noise Reduction

Noise reduction helps eliminate unwanted noise within a sound, such as a background hiss, a power hum, or random interference. It cannot be used to separate or remove complex sounds, such as vocals from music or coughing/laughing.

You are presented with a spectral analysis window, with a shape line, and several other controls. The X and Y coordinates are updated when you click-and-drag a shape point. The X coordinate is the frequency in Hertz and the Y coordinate is the magnitude in decibels. The time of the spectral analysis shown is given in the Time box. If you move the time scroll bar, located below the analysis window, the graph changes to show the spectral analysis of a different part of the sound.

A reduction envelope is used to remove noise. The envelope can be created in four different ways, depending on the Reduction envelope setting as explained below. The Use clipboard option often gives the best results.

Use shape
Lets you manually create an envelope shape or select a preset shape. See Shape Controls for information about creating shapes. By setting a horizontal line at about 80dB, you can remove a hiss from a sound. The shape is used only if the Use shape envelope option is selected. Otherwise it is ignored. Presets allow you to store or recall shapes.

Use current spectrum
Creates an envelope based on the shape of the spectral analysis graph shown in the window. This is useful for removing a buzz, hum, or hiss. Before using this effect, find a time in the sound where only the noise can be heard. Use that time for the analysis window by adjusting the time scroll bar. Select this option, then choose OK. If the noise is consistent through the sound, this is the easiest setting to use.

Use average
Applies an averaging envelope throughout noise reduction processing. The envelope is continuously updated. Use this setting if the noise changes throughout the sound.

Use clipboard
Analyzes the audio in the clipboard and creates an envelope based on it. To use this setting, you must first copy part of the sound where the noise exists by itself. Like the Use current spectrum setting, this can remove a buzz, hum, static, and other common noises. The clipboard noise can be based on audio copied from another file or audio outside the current selection. In general, this is the best setting to use.

Settings
The FFT size determines the detail of the spectral analysis and the noise reduction envelope. Usually values of 11 to 12 give the best results. The Overlap value specifies the percentage of the FFT size to overlap from one calculation to the next. A value of 88 is best. The Scale value lets you alter the reduction envelope scale. A value of 100 uses the envelope as it is. A value of 200 doubles the envelope, which doubles the amount audio removed from the sound. A value of 50 halves the envelope, which halves the amount removed. Normally it should be set to 100. Use a lower value if you hear any tinkling distortion.

See Also
Compressor/Expander (Noise gate presets)
Pop/Click Filter
Equalizer
Using Presets


Pan

Menu Command: Effect | Stereo | Pan

Use the Shape Controls to alter the left and right balance. The shape graph is divided into green and red regions, representing the left and right channels respectively. The line, initially located between the regions, represents the center for panning. By bending and/or moving the line, you can dynamically alter the sound's left/right balance over time or pan to and from each channel.

Show balance
Calculates and displays the current peak balance in yellow on the graph. For a typicaly stereo song, a spiked line roughly centered around zero would appear. For a 2 channel mono file, it would be a perfectly flat line at zero. For an unbalanced file, the line would be above or below zero.

Change volume only
Limits the pan effect to volume changes only. Normally panning mixes the left and right channels to alter the balance. This setting prevents any mixing and changes the relative volumes of the channels.

See Also
Shape Volume
Using Presets


Parametric EQ

Menu Command: Effect | Filter | Parametric EQ

The Parametric Equalizer (EQ) is a flexible tool for reducing or enhancing ranges of frequencies. GoldWave presents an easy to use interface where all the parameters for up to 40 bands can be quickly configured.

Graph Window
The graph shows frequency on the x-axis in Hertz and the gain on the y-axis in decibels. Each band is displayed in the graph as a diamond shaped box located at its center frequency and gain. The width of the box shows its bandwidth. The currently selected band is shown in blue and its exact settings are given in edit box/fader controls below the graph. A short time frequency analysis graph is drawn with the left channel in green and the right channel in red. The time of the analysis can be changed using the scroll bar located at the bottom of the graph.

Controls
A band can be configured by selecting its number from the Band box and adjusting the Gain, Center, and Width controls. A quicker way is to drag-and-drop its diamond box to a new location on the graph. Note that because of the logarithmic frequency scale, the width of a diamond changes as you move it left or right. The bandwidth, however, remains constant.

More bands can be added by using the diamond plus button. Use the diamond minus button to remove the current band.

See Also
Equalizer
Using Presets


Low/Highpass

Menu Command: Effect | Filter | Low/Highpass

Lowpass filters block high pitched frequencies (treble), but allow low pitched frequencies (bass) to pass. They can be used to reduce high end hiss noise or remove unwanted sounds above the given cutoff frequency. If you were to apply a lowpass filter with a cutoff frequency of 1000Hz on speech, it would make it sound mumbled and deep. Lowpass filters can also be used to eliminate aliasing when used before downsampling.

Highpass filters block low pitched frequencies, but allow high pitched frequencies to pass. They can remove deep rumbling noise or remove unwanted sounds below the given cutoff frequency. If you were to apply a highpass filter with a cutoff frequency of 1000Hz on speech, it would make it sound thin and hollow.

Cutoff frequency
The Initial cutoff box specifies the constant cutoff frequency for static filtering or the initial cutoff frequency for dynamic filtering. If the Dynamic option is selected (see below), then a final cutoff frequency must be given in the Final cutoff box.

Filter options
Select Lowpass if you want to keep only the frequencies below the cutoff frequency. Select Highpass if you want to keep only the frequencies above the cutoff frequency.

If you want the cutoff frequency to remain constant throughout the selection during processing, select the Static option. If you want the cutoff frequency to change from the initial value to the final value, select the Dynamic option. Note that dynamic filtering will take more processing time.

The Steepness value specifies how sharply the filter cuts off frequencies outside the cutoff frequency. A higher steepness makes the filter sharper, but it also increases processing time. In technical terms, the steepness specifies the number of second order cascade filters used.

Examples
To make speech gradually become more hollow and thin:

  1. Enter 60 in the Initial cutoff box.
  2. Choose Dynamic.
  3. Enter 1000 in the Final cutoff box.
  4. Choose Highpass.
  5. Choose OK.

Filtering before downsampling from 44100Hz to 22050Hz:

  1. Enter 11025 in the Initial cutoff box.
  2. Choose Lowpass.
  3. Choose Static.
  4. Enter 20 in the Steepness box.
  5. Choose OK.

See Also
Bandpass/stop
Equalizer
Using Presets


Pop/Click

Menu Command: Effect | Filter | Pop/Click

A pop/click filter is a specially designed filter that searches for abrupt changes in the sound and eliminates them.

The Tolerance defines how abrupt a change can be before it is considered a click. It is best to start with a value near 1000%. Lower values will detect more clicks. Values less than 500% should be used on a short selection only.

The filter requires a minimum selection of 4000 samples to establish a base line.

See Also
Noise Reduction
Smoother
Using Presets


Reduce Vocals

Menu Command: Effect | Stereo | Reduce Vocals

Use this effect to reduce vocals in music. In some stereo recordings it is possible to remove vocals by subtracting the left and right channels. In order for this to work perfectly, vocals must be identical (recorded equally) on both the left and right channels. If there is any stereo echo or reverb applied to the recording, vocals cannot be removed completely.

Note that any instruments recorded equally on both channels will be removed along with the vocals. This is unavoidable.

Usually subtracting the left and right channels destroys the stereo sound, giving mono output. However, by integrating a bandstop filter GoldWave is able to restore some of the stereo, enhancing the output. Try the Reduced vocals with more stereo preset. Bring the From and To filter values closer together for increased stereo (increases the vocals) or farther apart for reduced stereo (decreases the vocals).

See Also
Channel Mixer
Using Presets


Silence Reduction

Menu Command: Effect | Filter | Silence Reduction

Use this filter to automatically remove silences from a sound and save storage space or make long speeches play more quickly.

Silence threshold specifies the volume level for the silence. Any audio below this level is considered silence and is subject to removal, provided it has a long enough duration.

Duration specifies how long the silence must be before it is reduced. Any silences short than the duration are not changed.

The Reduce to percentage specifies the length of the reduced silence relative to its original length. A value of 75, for example, reduces a 10 second silence to 7.5 seconds.

Maximum length specifies the maximum length for reduced silences. This setting overrides the Reduce to setting if the reduced length still exceeds the maximum.

See Also
Noise Reduction
Using Presets


Smoother

Menu Command: Effect | Filter | Smoother

Use this filter to reduce hiss and crackle.

Length sets the length of the smoother filter. The larger the value, the more averaging is applied to the audio and the duller it will sound.

Use the Volume setting to help offset the loss in volume for larger Length values.

See Also
Low/Highpass
Noise Reduction
Using Presets


Spectrum Filter

Menu Command: Effect | Filter | Spectrum Filter

The Spectrum Filter is a general purpose audio filter similar to a parametric equalizer, but with much greater control. Instead of using individual bands, the entire frequency spectrum is controlled using a shape line that controls the gain. This allows many kinds of filters to be designed, such as lowpass, highpass, bandpass, bandstop, notch, peak, comb, and more. Filtering is performed in the frequency domain using Fast Fourier Transforms (FFTs).

A spectral analysis window is displayed with a shape line and several other controls. The X and Y coordinates are updated when you click-and-drag a shape point. The X coordinate is the frequency in Hertz and the Y coordinate is the magnitude in decibels. The time of the spectral analysis shown is given in the Time box. If you move the time scroll bar, located below the analysis window, the graph changes to show the spectral analysis of a different part of the sound. The Master gain controls the overall gain of the filter.

Initially the shape line is horizantal at 0dB, which means that no changes in gain are made at any frequency. Alter the shape line up or down to increase or decrease the gain at a particular frequency. In technical terms, the shape line represents the frequency response function.

Settings
The FFT size determines the detail of the spectral analysis and the resolution of the filter. Higher settings provide a higher resolution, allowing the filter to follow the shape more accurately, with sharper cutoffs. When processing high sampling rate files, such as 88kHz or 192kHz, the FFT size must be set higher for the filter to follow the shape. Using too high a value may cause overshoot and oscillations in the gain. The Overlap value specifies the percentage of the FFT size to overlap from one calculation to the next. The lowest value gives the fastest processing and generally works well.

See Also
Parametric EQ
Noise Reduction
Using Presets


GoldWave Evaluation Version

This is a fully functional evaluation version of the GoldWave digital audio editor. The evaluation version allows you to try the program before you buy it. After you've tried GoldWave, if you decide to keep it, you are required to purchase a license. Please note the usage limit mentioned below.

Order Online Now

Getting Started:

  • Playing Sounds
  • Recording Sounds
  • Selecting Part of a Sound

Please check the Contents for additional information. The WhatsNew.txt file lists recent changes and the revision history. The GoldWave Manual file contains detailed instructions for using GoldWave.

For the latest information and updates, please refer to the GoldWave website:
http://www.goldwave.com

Usage Limit
The upper right status bar displays a command count (unlicensed usage), which gives you a rough idea of how much you've used the program. This evaluation version is limited to 150 commands each session and 2000 commands total. When the session limit is reached, a reminder message appears whenever you use a control in the Control window. Exiting and restarting GoldWave lets you use another 150 commands without interruption. The program stops working when the total command count is reached. By registering, you will receive a license that removes this counter completely.

You can give copies of the evaluation version of GoldWave to anyone you think might find it useful. You can upload it to Web or ftp sites and post it to appropriate forums or newsgroups. Magazine and book publishers can include GoldWave on cover and companion CD-ROMs.

Only the original GoldWave self-installing file may be copied, uploaded, or posted. This ensures that everyone will get a complete and working copy. Distributing modified or incomplete copies is a violation of the copyright. Please note that GoldWave is not free software and should not be described as such.


Evaluator Presets

Location: Presets area of Expression Evaluator tool

The Presets box in the Expression Evaluator tool organizes expressions in a number of groups, such as Dial Tones, Effects, Noise, and Waves. You can create new groups or add expression to existing groups.

To retrieve an expression:

  1. Expand the group containing the expression in the Presets list.
  2. Select the expression from the expanded list.

To add an expression:

  1. Enter the expression in the Expression box.
  2. Choose the [image] (add) button in the Presets box.
  3. Select an existing group name or type in a new group name.
  4. Type in a preset name for the expression.
  5. Choose the OK button.

To delete an expression:

  1. Expand the group containing the expression in the Presets list.
  2. Select the expression from the expanded list.
  3. Choose the [image] (remove) button in the Presets box.


File Format

Location: Appears when opening certain types of files

The File Format window lets you open a file that GoldWave could not open automatically. If the file is not compressed or corrupted, GoldWave can interpret the audio data, provided the correct attributes are selected.

If you see this window for .mp3 files, you need to re-install Windows Media Player available from Microsoft. GoldWave cannot decode .mp3 files without the Windows Media Player modules.

The File Format window appears if any of the following occur:

  • The file has no header information and has no file association.
  • The file does have a header, but the structure is incorrect for the detected file type.
  • The file has a new format that GoldWave does not recognize.
  • The file type or format is not supported by GoldWave or any of the file format plug-ins.

File type
Specifies the file type for the audio data. GoldWave lists all the file format plug-ins that support reading raw audio data. If you are working with PCM or uncompressed binary data, select the Raw type. If you are working with Telephony files, select the Dialogic type. Other types may be listed depending on what plug-ins you have installed.

Attributes
Specifies the actual nature and organization of the audio amplitude data (samples). If you copied audio from a CD, for example, the attributes would be "PCM signed 16 bit, little-endian, stereo". Dialogic VOX files often use "ADPCM 4 bit, mono" attributes, but can also use µ-Law or A-Law. Attributes are explained below.

Mono versus stereo
Specifies that the file is either mono or stereo. Stereo data must be interleaved (i.e. left channel, right channel, left, right...). If you don't know, choose Mono.

Signed versus unsigned
Specifies that 8 bit, 12 bit, or 16 bit samples are signed. Amiga and Apple systems use signed 8 bit (-128 to 127) or signed 16 bit (-32768 to 32767). Wave and Sound Blaster files for PCs are usually unsigned 8 bit (0 to 255) or signed 16 bit (-32768 to 32767). In general files with 12 bit samples and greater are signed.

Little-endian versus Big-endian
When more than one byte is required for each sample, the order in which the bytes are stored can vary from system to system. Little-endian files have the least significant byte first, while big-endian files have the most significant byte first. Systems with Intel processors (0x86 & Pentium PCs) store bytes in a little-endian order. Systems with Motorola processors (Macs) store the bytes in big-endian order.

Sampling rate
Specifies the rate at which the sound was recorded. This value does not affect how the data is translated. If you select the wrong rate, the sound will either play too slow or too fast. You can fix this with the Effect | Playback Rate command. A CD audio recording has a sampling rate of 44100Hz. A Dialogic VOX file usually have a rate of 6000Hz or 8000Hz.

Data
The Data button displays data at the beginning of the file in hexadecimal and ASCII form. This is useful only if you need to examine the raw contents of the file to identify its format.

If you have no idea how the data should be interpreted, experiment with trial-and-error. If the attributes are wrong, the sound will play distorted. You will have to close the sound window and re-open it using different attributes. If the file is compressed (sounds like static) or if you cannot guess the exact format of the audio data, it is unlikely you'll be able to use the file in GoldWave without a separate plug-in. Usually only raw PCM, VOX, telephony, or numerical text files can be opened with these settings.

If you save the file later, use a different filename and type using File | Save As.

If you want GoldWave to automatically assume a format for a particular file type, you can use Option | File Formats to associate a format with the filename extension.


Associate Format

Location: Add or Edit button on Undetectable Types Tab of File Format Options window.

Use Associate Format settings to assign a specific plug-in module and attributes to a file extension.

Enter the file extension in the Extension box, such as vox, snd, raw. Do not insert a period before the type.

Select the plug-in module to assign to the extension using the File type drop down list.

Select the specific attributes from the Attributes drop down list.

If the file type and attributes support any sampling rate, set the sampling rate to use in the Rate box.

Some plug-in modules allow custom attributes to be set. If so, the Custom button will be enabled and can be used to set those attributes.

See Also
File Format


New Sound

Menu Command: File | New

GoldWave supports a number of sound attributes, as explained below. These attributes must be specified when creating a new sound. You can choose one of the Presets to automatically set appropriate attributes based on the class of audio. The file is created virtually and requires no storage space initially. It should be noted that it is possible to create a file that is too large to save on your hard drive later.

Channels
Mono sounds have one channel of audio. Stereo sounds have two channels. Stereo sounds use twice as much storage as mono sounds and can take twice as long to process. You can edit individual channels of a stereo sound by using the Edit | Channel menu.

Sampling Rate
This value affects the quality and quantity of the sound. Higher values allow a wider range of frequencies to be recorded and give better quality. Smaller values require less space. The drop down list box provides many standard rates. For high quality, a minimum of 44100 should be used.

Rate (Hz) | Quality
8000 | Telephone quality.
11025 | Low end radio quality. Good for voice.
22050 | Radio quality. Fair for music.
44100 | CD quality.
48000 | Digital Audio Tape (DAT) quality.
96000 | DVD quality.
192000 | High-end DVD quality.

When setting up recording, make sure you specify attributes that are compatible with your audio device. Many devices do not support rates over 48000Hz. Even though higher rates may appear to work, they could be simulated by software, the driver, or the device. Higher rates could give lower quality in such cases, so check the device specifications if you plan to use rates above 48000Hz.

Initial file length
This value specifies the length of the sound in hours, minutes and seconds. You can enter any time up to about 99 hours for the length. Be sure to use the colon after the minutes. Enter 1.00 for one second, 1:00 for one minute, or 1:00:00 for one hour.

See the GoldWave Manual for more information.

For CD quality sound, GoldWave requires about 20 million bytes (20MB) per minute of audio (60 seconds/minute x 44100Hz x 2 channels x 4 bytes/channel). You can save the file in a compressed format to use much less space, but you'll still need a large amount of storage space if you re-open the file.

To change the default save format shown in the status bar after creating the file, use the Default Save Format tab under Options | File Formats. To change the recording bit depth quality, see Device Properties.

See Also
Using Presets
Edit | Insert Silence
File | Save As


Direct Editing of the Waveform

To directly edit/redraw the waveform with the mouse, you must first zoom in so that individual samples are visible (see View Menu Commands).

Direct editing:

  1. Zoom in 1:1 or 10:1.
  2. Place the mouse arrow directly over the waveform. The arrow will change into a target crosshair.
  3. Click and hold the left mouse button.
  4. Move the mouse up, down, left, or right to change the shape of the waveform.
  5. Release the mouse button.

See Also
Editing Overview
Edit Menu Commands


Presets

Location: Various windows throughout GoldWave

Presets store settings and shapes in the registry so they can be recalled again the next time the effect or command is used. Controls for presets consist of a drop down list box, an [image] add button, and a [image] remove button. Most effects have a Default preset, which can be changed so that certain settings are used every time the effect window is shown.

To add a new preset:

  1. Enter in all the new parameters and/or draw the new shape.
  2. Type in a name for the preset in the drop down list box.
  3. Choose the [image] (add) button.

To delete a preset:

  1. Select the preset from the drop down list.
  2. Choose the [image] (remove) button.
  3. Choose OK to delete the preset.

To change a preset:

  1. Select the preset from the drop down list.
  2. Enter in all the new settings.
  3. Choose the [image] (add) button.
  4. Choose OK to overwrite the old preset.

See Also
Options | Window


Shape Controls

Location: Various effects in GoldWave, such as Noise Reduction and Shape Volume

Shape controls usually consist of a graph window and a set of controls, including a point number box, an add point button, a remove point button, an X value box, and a Y value box.

Graph Window
The graph window initially contains a single line with two endpoints (shown as large dots). By clicking the left mouse button anywhere inside the graph window, you can add new points to bend the line into a variety of zigzag shapes. To move a point, click on it and drag it to a new location. To remove a point, click the right mouse button over the point. Endpoints cannot be removed.

Controls
Points can be added, moved, and removed by using the controls. Use the Point box to select the current point. Change the X and Y values to move the point. Use the add point button to insert a new point between the current point and the next point. Use the remove point button to remove the current point, except if it is an endpoint.

Some dynamic effects, such as Doppler, Pan, and Shape Volume start previewing audio based on the current point's time value. If the X value of the current point is 1:00, for example, then preview playback starts at one minute from the beginning of the file rather than the beginning of the selection. This lets you preview the point's settings without playing the entire selection.

To save a shape, use the Presets controls.


Accessibility

Interface
If a screen reader is active when starting GoldWave, the program automatically changes its interface slightly to be more screen reader friendly in a couple of ways.

The status visual in the Control window becomes a text box that gives the elapsed time, the current status, and the peak levels (in parentheses). The peak levels are updated only while holding the Ctrl key. When the key is release the highest level is shown. The level is reset whenever the Ctrl key is press again. The levels are given in percentages, but tabbing to the text box and pressing D changes it to decibels. Pressing D again changes it back to percentages.

All images are removed from the menus so that standard Windows text menu items are used instead of custom drawn ones, ensuring that menus are easily readable. If menus cannot be read, be sure to uncheck the "Tool bar images in menu" box under Options | Tool Bar.

Almost all windows in GoldWave provide edit boxes where values and settings can be entered rather than relying on visual controls only. Use the Tab key to move between controls.

Use Alt+F6 to switch between GoldWave's Main window and Control window. Use the Tab key to move through the buttons and faders. The arrow keys change the fader settings. Unless you need to access the volume, balance, or speed faders, it is best to dock the Control window. Use the Tool | Control command to dock or undock it.

Navigation
Finding certains parts of a sound file is done through keyboard navigation, which involves playing the file and moving the playback cursor until the area if interest is located. GoldWave includes many keys for playing different parts of the sound. They are listed in the following table. The amount that the cursor is moved depends on the zoom level, explained in the View section below.

The View | Auto Scroll Lock menu item must be checked for keyboard navigation to work.

Table: Keyboard Navigation
Keystroke | Action
Space | Starts playback or stop it (toggles playback). The region that is played depends on the Green play button settings.
J, K, L | Rewinds, plays, and fast forwards respectively. Playback always starts at the cursor's position.
Shift+J, Shift+K, Shift+L | Makes the playback speed slower, normal, and faster respectively.
F4, F5, F6, F7, F8 | Plays, rewinds, fast forwards, pauses, and stops respectively. The Green play region is played.
H | Starts playback relative to the mouse's horizontal position in the waveform.
Shift+[ | Plays three seconds of audio up to the start marker.
Shift+] | Plays three seconds of audio up to the finish marker.
Ctrl+[ | Plays from the start marker.
Ctrl+] | Plays from the finish marker.
Left | Move the cursor backward.
Right | Move the cursor forward.
Page Up | Moves the cursor one screen backward.
Page Down | Moves the cursor one screen forward.
Home | Moves the cursor to the start marker's position.
End | Moves the cursor to the finish marker's position.
Ctrl+Home | Moves the cursor to the beginning of the sound.
Ctrl+End | Moves the cursor to the end of the sound (playback stops).

Editing
In addition to using the Edit | Marker |Set and the Edit | Marker | Drop... commands, there are a number of ways of changing the selection with the keyboard. They are listed in the following table. The amount that the selection markers are moved depends on the zoom level, explained in the View section below.

Table: Keyboard Selection
Keystroke | Action
Shift+Left, Shift+Right | Moves the start marker left or right (backward or forward). See the Marker preview playback setting.
Ctrl+Shift+Left, Ctrl+Shift+Right | Moves the finish marker left or right.
Ctrl+A | Selects the entire sound.
Shift+Home | Moves the start marker to the beginning of the sound.
Shift+End | Moves the start marker to the finish marker's position.
Ctrl+Shift+Home | Moves the finish marker to the start marker's position.
Ctrl+Shift+End | Moves the finish marker to the end of the sound.
[ (left bracket) | Drops the start marker at the playback cursor.
] (right bracket) | Drops the finish marker at the playback cursor.

After deleting or cutting the selection, the selection is empty, so if the playback buttons are set to play the selection, nothing will play. Use Ctrl+A to select the entire file.

Keep in mind that most of the playback keys stop playback at the finish marker and there may be more audio beyond it. Use Edit | Trim to remove any audio outside the selection, if you only want to save what is in the selection.

If recording is stopped, the finish marker is moved to the stop time. To continue recording from that point, use Shift+End to move the start marker to the finish marker, then use Ctrl+Shift+End to move the finish marker to the end. Starting recording will continue from where it was stopped.

View
The view and zoom level control how much audio is displayed on the screen (or page). By default, GoldWave displays the entire file. Use the View Menu Commands to change the amount of audio displayed. This also changes the amount the playback cursor and selection markers are moved with each keystroke. The cursor is moved one tenth of the screen size. Selection markers are moved one hundredth of the screen size. Using View | 10 Seconds displays 10 seconds of audio in the view. The Page Up or Page Down key moves the cursor 10 seconds backward or forward. The Left or Right key moves the cursor 1 second backward or forward. The selection keys move the start or finish marker a tenth of second (0.1). Using View | 1 Second displays 1 second of audio. At that level, the page, arrow, and selection keys move 1 second, one tenth of a second, and one hundredth of a second respectively.

The Shift+Up and Shift+Down keys zoom in and out by 75%. The status bars display the selection range and the current zoom level.

Use Window options to change the default initial zoom level when a file is opened.


File Format Plug-ins

GoldWave supports external file format plug-ins for opening and saving files. These plug-ins are created by other developers by using the GoldWave Plug-in Development Kit to handle file types that GoldWave does not support directly.

You can use the Options | File Formats command to enable and disable plug-ins or to change the order in which they are used.

When you open a file in GoldWave, these steps are followed:

  1. If the file type is a CD audio (CDA) track, you are advised to use the CD Reader tool and no further processing occurs.
  2. For all other file types, the file is passed to each file format plug-in module until one is able to handle the file. The order is configured under the File Plug-in Precedence tab of the File Format Options window.
  3. If none of the plug-ins support the file format, then the Undetectable Types list under the File Format Options window is used to determine if type and attributes have been associated with the file type. If so, the file is open automatically using those attributes.
  4. If there are no associations, then the File Format window is displayed so that the attributes can be specified manually. Chances are that compressed files cannot be open and decoded properly unless a new plug-in is installed for that file type.

See Also
Options | Storage


Hard Drive Storage Versus RAM Storage

GoldWave supports hard drive based editing and RAM (memory) based editing. These features are described below. Hard drive storage is used by default. Use the Options | Storage command to configure the storage mode.

In hard drive based editing, the sound is stored in temporary files on your hard drive where it can be modified. This allows you to edit huge files provided the required drive space is available. Only a small amount of RAM is required for each opened sound. The drawback is that editing and effects processing take more time since audio data must be transferred to and from the drive.

In RAM based editing, the entire sound is stored in your computer's memory. This allows you to edit and process files very quickly. It saves time and reduces the load on your hard drive. The drawback is that the size of the files must be small enough to fit in the available RAM. If you edit or record large files, Windows will start swapping memory to the hard drive, which degrades performance significantly and may cause defects when recording. Also note that if the power fails or a crash occurs, there is no way to recover the modified sound or recording.

GoldWave does not copy a file to temporary storage until it is edited, unless the file is compressed. MP3 files, for example, have to be decompress into temporary storage before GoldWave can edit them. Such files may require over 20 times the amount of compressed storage when opened. A 10MB MP3 file could require over 200MB of storage space.

See Also
Options | Storage


Set Marker

Menu Command: Edit | Marker | Set

Use this window to set the start and finish markers to an exact time or sample position. To specify a time, choose the Time based position option and enter the time in hours, minutes, seconds, and fractions of a second. See the GoldWave Manual for information about entering times. To specify an exact sample position, choose the Sample based position option and enter the position.

If you want the length of the selection to be aligned to a CD sector or 1 kilobyte, select the appropriate option. When the OK button is pressed, the finish marker will be adjusted to align the selection length.

See Also
Editing Overview
Cue Points
Cue Points Menu
Marker Menu


Mouse Wheel

Location: Click mouse wheel button or roll wheel

Use the mouse wheel for zooming, scrolling and selection, or playback speed adjustments. Click the middle mouse button or the wheel button to display a menu to configure the behaviour of the mouse wheel. The mouse wheel works only when the Main window is active and only on the currently active Sound window.

Zoom In/Out
Zooms in and out of the waveform when the wheel is rotated up or down. The location of the mouse pointer is used as the focal point. Position the mouse over the area of interest when using the wheel.

Scroll and Select
When zoomed in, rotating the wheel up or down scrolls the waveform left or right. Holding the shift key moves the start marker. Holding both the shift and control keys moves the finish marker. Holding just the control key scrolls vertically, when zoomed in vertically.

Playback Speed
Increases or decreases the playback speed by changing the speed fader on the Control window.

See Also
View Menu Commands
Keyboard Commands


MP3 Properties

Location: Choose the Attributes link after selecting "MPEG Audio" file type under File | Save As, Batch Processing, Default Save Format, and other places where a file type and attributes must be specifed.

Use these settings to control MP3 related attributes directly. When the VBR quality is off, a constant bitrate is used. Otherwise a variable bitrate (VBR) is used with the maximum bitrate set to the second Bitrate range value.

The Channels setting control the number of channels in the file and how stereo encoding is handled. Use Mono to create a single channel file. The other options create a stereo file. Use Stereo to create a typical stereo file. Use Joint Stereo to get better compression when the left and right channels contain similar audio. Use Dual Channnel when the left and right channels contain completely different audio (the LAME encoder may not support this option).

The MPEG settings box controls what bits are set in the MPEG header. Include CRC tells the encoder to include CRC data after the header. Copyright means the audio is copyrighted. Original means the audio is new or original material.

If a freeze occurs when saving an MP3 file, make sure the LAME encoder is installed (website) correctly and do not select attributes with the letters ACM.


FFT Settings

FFT size
When performing FFT processing, the sound is processed one block at a time. The FFT size value controls the size of the these blocks. The number of samples to process is calculated by taking the value as a power of 2. A value of 10 gives 2 to the 10th power, or 1024.

Overlap
When performing FFT processing, the sound is processed one block at a time. To smooth out transitions from one block to the next, it is necessary to overlap blocks. The Overlap value controls what percentage the FFT analysis of one block overlaps the next. A high percentage makes the transition between each block smoother. It also requires more processing time since overlapping samples are recalculated several times. A low percentage results in rougher transitions, but processes faster. A value of 88% or higher is recommended.


Old License Information

This version of GoldWave requires an ID based license. If you have an old name/password based license, you'll need to request an updated license from the website.


Keyboard Options

Menu Command: Options | Keyboard

Use Keyboard Options to set keyboard assigments (shortcuts) for functions in GoldWave. The list of current assignments is given in the window with the function in the left column and the shortcut in the right column. Shortcuts can be a combination of keystrokes, such as Ctrl+Shift+Up, Ctrl+P, Shift+Enter, etc.

Note that the Left, Right, Page Up, and Page Down keys are used for navigation and scrolling the view and should not be reassigned. Combinations of these keys with Ctrl and Shift are also reserved.

Choose OK to save and use keyboard assigments. Use the Defaults button to erase all keyboard assignments so they will be restored to their original, installed settings when GoldWave is restarted.

Use the Load and Save buttons to load or save keyboard assignments from or to a text file.

Refer to the GoldWave Manual for additional information about defining shortcuts.

See Also
Accessibility
Keyboard Commands (Defaults)


Registering

Menu Command: Options | Register

Although this evaluation version is fully functional, GoldWave is not free software. The evaluation version will expire after a generous amount of use. After trying GoldWave, the modest registration fee should seem very reasonable considering all of the great features included. To register and support further development, please see the website. You can order securely online or you can fill in the order form and send it by mail. Registration details are given below. If you've already purchased a license, please enter it into the program (close this help window first).

Order Online Now

Registration License (US$45, Can$45, UK£25)*
You will receive a unique ID and License that removes the startup and usage messages and unlocks GoldWave. The same license will work with all future versions of GoldWave. This is equivalent to a lifetime of free updates! All you have to do is download the latest version from the GoldWave website:
http://www.goldwave.com

Sending Payment
Checks from banks in the United States, Canada, and the United Kingdom are welcome. PayPal and credit cards orders are accepted online. International postal money orders or international postal bank draft cheques are also accepted, but payment must be made in Canadian currency.

* Please see the website for the latest purchasing and pricing information.


Setup Options

Start Menu Command: Start | Programs | GoldWave | GoldWave Setup

Setup Options change the way GoldWave intializes (such as loading plug-in) and alters the way it runs.

If you are using plug-ins that are causing division-by-zero or invalid floating point errors, try checking the Fix damaged FPU state box to mask the error. Note that this setting may cause distortion in some of the built-in effects in GoldWave, so it is better to contact the plug-in developer to correct the problem rather than mask it.

Use the Backup Settings button to save all GoldWave settings and presets to a file. Use the Restore Settings button to load all the settings from the file.


Mail Order Form

GoldWave Mail Order Form

Please provide the following information:

Full Name (first & last): ______________________________

Address: _______________________________________________

         _______________________________________________

         _______________________________________________

         _______________________________________________

Country: _______________________________________________

[Telephone (with Area Code)]: __________________________

E-mail address: ________________________________________

GoldWave license: US$45, Can$45, UK£25

Payment(payable to GoldWave Inc.):

    [ ] Check enclosed
    [ ] Purchase order enclosed
    [ ] Money Order or Draft enclosed
    [ ] International Money Order sent separately

Please mail this form to the address below.  Thank you
for purchasing!

           GoldWave Inc.
           P.O. Box 51
           St. John's, NL
           CANADA  A1C 5H5


Playback Cursor

The playback cursor is a vertical, white line that moves across the Sound window as the audio plays.

Move the cursor in the following ways:

  • Use Keyboard Navigation
  • Right-click on the Sound window graph and choose the Set Playback Cursor or Play From Here command that appears in the context menu.
  • Click the left mouse button on the time line.
  • Change the Play button settings so that playback starts at a different place.
  • Use the Set Cursor Location key (Ctrl+G).
To hide the cursor when playback stops, check the setting under Options | Window.


Playback Errors

If an error occurs during playback, make sure you have the correct playback device selected and your sound card is capable of playing at the sampling rate and quality you've selected.

Try the following:

  • Stop recording, if the file is recording.
  • If you are using an external USB audio device, make sure the device is plugged in and powered on before running GoldWave.
  • If the error occurs during effect previewing, the effect may have a problem. Process the effect and try playing it after processing completes.
  • Make sure no other software is using the device for playback.
  • Select a different playback device or quality setting on the Device tab of the Options | Control Properties window.
  • Choose the Troubleshoot button on the Test tab of the Options | Control Properties window to see a list of playback devices and their capabilities.
  • Contact the manufacturer to obtain an updated sound driver.

If nothing helps, try playing a file in Windows Media Player to make sure playback is working on your computer.


Recording Errors

If an error occurs when recording is started, make sure you have the correct recording device selected and your sound card is capable of recording at the sampling rate and quality you've selected.

Try the following:

  • Stop playback, if the file is playing.
  • If you are using an external USB recording device, make sure the device is plugged in and powered on before running GoldWave.
  • Make sure no other software is using the device for recording, such as voice recognition software, voice over IP, etc.
  • Select a different recording device or quality setting on the Device tab of the Options | Control Properties window.
  • Create a new file with a lower sampling rate or a different number of channels.
  • Choose the Troubleshoot button on the Test tab of the Options | Control Properties window to see a list of recording devices and their capabilities.
  • Contact the manufacturer to obtain an updated sound driver. Sound drivers cause the vast majority of recording related errors.

If nothing helps, try recording in the Sound Recorder accessory included with Windows (see Windows Help for details) to make sure recording is working on your computer.


Set Cursor Location

Keyboard Command: Ctrl+G

Use this to determine the playback cursor's current location or set it to a specific time. See the GoldWave Manual for information about entering times.


Specify View

Menu Command: View | Specify

Use the Specify View window to magnify the graph to any level you specify. The level can be given as a time length or as a ratio. If the Length option is selected, then the length you specify is shown in the graph. For example, use 1:00 to show one minute of audio.

If the Ratio option is selected, then the given number of samples are mapped to a single pixel on the screen. Values greater than 1 display an approximation of the waveform. Values less than 1 (such as 0.1) reveal individual samples and allow direct editing of the waveform.

The Start time specifies what position in the file to begin drawing the zoomed waveform.


Bulge Properties

Location: Right-click, Properties command on Bulge visual in Control window

The Bulge visual displays a symmetrical colour scaled frequency graph where higher magnitude frequencies are shown with taller lines and more intense colours. The X scale setting controls whether the frequencies are drawn on a linear or logarithmic scale. The logarithmic scale greatly expands low end frequencies. The magnitudes (heights) are always drawn logarithmically. The Slow fade options make the graph fade out gradually while expanding it vertically.


Colour Scale Properties

Location: Right-click, Properties command on certain visuals in Control window

Select one of the listed items to change the colour scale used to display the visual.

Colour scales are used by the 3D Bar visual, which displays a three dimensional frequency bar graph, by the Bulge visual, which displays a double mirrored colour frequency graph, and by the Envelope visual, which displays an amplitude envelope graph.


Spectrogram Properties

Location: Right-click, Properties command on Spectrogram visual in Control window

The Spectrogram visual displays frequency information over time. The horizontal axis is time in seconds (s), the vertical axis is frequency in Hertz (Hz), and the colour represents the frequency's magnitude (dB). The louder a certain frequency is, the more intense its colour is. The bottom of the visual show the intensity colour scale (if the Show axis box is checked).

Use the properties to adjust the vertical frequency range shown in the graph. The Automatic full frequency range option automatically sets the range depending on the sampling rate of the file. For a 44100Hz file, the range is set from 0 to 22050Hz (the Nyquist rate). The Fixed frequency range option allows you to set a specific range down to a few hundred Hertz. Use the Show axis box to show or hide the horizontal and vertical axes and the intensity scale.


Spectrum Properties

Location: Right-click, Properties command on Spectrum visual in Control window

The Spectrum visual displays a simple frequency graph. The horizontal axis is frequency in Hertz (Hz) and the vertical axis is magnitude in decibels (dB).

Use the properties to adjust the horizontal frequency range shown in the graph. The Automatic full frequency range option automatically sets the range depending on the sampling rate of the file. For a 44100Hz file, the range is set from 0 to 22050Hz (the Nyquist rate). The Fixed frequency range option allows you to set a specific range down to a few hundred Hertz. Use the Show axis box to show or hide the horizontal and vertical axes. Use the Logarithmic box to change the frequency axis from linear to logarithmic.


VU Meter Properties

Location: Right-click, Properties command on VU Meter visual in Control window

The VU Meter visual displays the current peak volume of the waveform on a horizontal bar with a green to red gradient.

The Decay time controls the amount of time it take for the meter to drop from full maximum volume to nothing (silence).

The Peak hold time controls the amount of time the peak indicators (the vertical segments that stay on at the top level of the meter) remain at their peak positions before decaying.

The Show axis checkbox shows or hides decibel numbering on the meter.

The Reset Clip button clears the red clip detection indicators on the far right of the meter. Clip indicators are automatically reset when playback or recording is restarted. They can be reset by clicking the mouse on them as well.


Waterfall Properties

Location: Right-click, Properties command on Waterfall visual in Control window

The Waterfall visual displays a 3 dimensional color frequency graph. The horizontal axis is frequency in Hertz (Hz), the vertical axis is magnitude in decibels (dB). The upward scrolling of the graph is time.

Use the properties to adjust the horizontal frequency range shown in the graph. The Automatic full frequency range option automatically sets the range depending on the sampling rate of the file. For a 44100Hz file, the range is set from 0 to 22050Hz (the Nyquist rate). The Fixed frequency range option allows you to set a specific range down to a few hundred Hertz.

Use the Axis box to show or hide the horizontal axis. Use the Grid box to draw grid lines on the graph. Use the Logarithmic box to change the frequency axis from linear to logarithmic. Use the 1 second dark transparent walls box to separate the graph into 1 second sections with a dim wall. Use the Height value to change the vertical height of the graph with respect to the height of the visual's window. A value of 50 makes the height half as large as the window. Use the Scroll angle options to change the vertical scrolling angle.


Change Volume

Menu Command: Effect | Volume | Change Volume

Change Volume modifies the selection so that it sounds louder or quieter. The volume is given in decibels with a 0dB reference level. Positive values above 0dB increase the volume. Negative values below 0dB decrease the volume. A value of 0dB leaves the volume unchanged. If you are unfamiliar with the decibel scale, adjust the fader and watch the percentage value.

See Also
Maximize Volume
Mute
Using Presets
Volume Scales (GoldWave Manual)
Auto Gain effect in GWVoice plug-in (website)


Fade In

Menu Command: Effect | Volume | Fade In

Gradually increases the volume throughout the selection. The Initial volume specifies the starting volume level. To fade in from complete silence, use the lowest value possible (-160dB). The Logarithmic and Linear options control the shape of the fade.

To fade in the beginning of a sound from silence:

  1. Select three seconds of audio at the beginning of the file. See Editing Overview.
  2. Choose Fade In from the Effect | Volume menu.
  3. Enter an Initial volume of -160.
  4. Choose the Linear option.
  5. Choose OK.

See Also
Change Volume
Crossfade
Fade Out
Shape Volume
Using Presets


Fade Out

Menu Command: Effect | Volume | Fade Out

Gradually decreases the volume throughout the selection. The Final volume sets the volume level at the end of the fade. To fade to complete silence, use the lowest setting (-160dB). The Logarithmic and Linear options control the shape of the fade.

To fade out the end of a sound to silence:

  1. Select three seconds of audio at the end of the file. See Editing Overview.
  2. Choose Fade Out from the Effect | Volume menu.
  3. Enter a Final volume of -160.
  4. Choose the Linear option.
  5. Choose OK.

See Also
Change Volume
Crossfade
Fade In
Shape Volume
Using Presets


Match Volume

Menu Command: Effect | Volume | Match Volume

Matches the volumes of separate files. If you have several songs with different volume levels you want to write to a CD, use this effect to adjust volume levels of each song so they sound similar.

Volume changes are based on the overall average volume level of the sound. The level is a root-mean-square average, with silent regions (below -44dB) excluded. Files with similar average levels will seem to have similar overall volume levels.

You need to use this effect on each file to set the Average to the same value. Use the File | Batch Processing command to apply this effect to a group of files. The average value to use depends on the files.

The Clipping control options specify the action to take if the audio exceeds the maximum level and must be clipped. By default, clipping is allowed. The Reduce... or Abort... settings are useful for batch processing when clipping must be avoided.

You should open each file and display the Match Volume effect to see what average value it has, then apply an overall average value to all the files. To avoid clipping distortion, it is best to use the minimum average across all files. For example, if one file has an average of -18dB and all the other files have a higher average, then use -18dB for all files.

Unlike the Maximize Volume effect, the Match Volume effect may result in clipping distortion if the average level is set too high. The Final peak area displays the resulting final peak level after processing. If the peak exceeds 0dB, the value is shown in red as a warning that clipping may occur. Use a lower average to avoid clipping.

This effect should not be used with Maximize Volume. Use one or the other, but not both (one cancels the other).

See Also
Change Volume
Maximize Volume
MaxMatch
Using Presets


Maximize Volume

Menu Command: Effect | Volume | Maximize Volume

Searches the selection for the maximum volume level, then displays the maximum level and the time at which the maximum occurs for each channel. You can specify a new maximum for the sound.

A value of 0dB normalizes the volume so that it covers the full dynamic range. In other words, it makes the file as loud as possible without distorting or clipping the waveform. Values above 0dB will cause distortion. Values below 0dB will leave some unused dynamic range, which can be useful when using other effects.

This effect should not be used with the Match Volume effect. Use one or the other, but not both (one cancels the other).

See Also
Change Volume
Match Volume
MaxMatch
Using Presets


Shape Volume

Menu Command: Effect | Volume | Shape Volume

Use the Shape Controls to reshape the volume envelope of the sound. The shape line is initially horizontal at 1.0. By bending/moving the line, you can dynamically change the volume of the selection over time.

The Show envelope option calculates and displays the current volume envelope of the sound. The left channel envelope is shown in green and the right channel envelope is shown in red.

See Also
Change Volume
Fade In
Fade Out
Pan
Using Presets